<?php

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
return [
    'errorHandler' => [
        'errorAction' => 'home/home/error',
    ],
    'user' => [
        'enableAutoLogin' => true,
    ],
    'i18n' => [
        'class' => \thread\app\base\i18n\I18N::class,
    ],
    'urlManager' => [
        'rules' => require __DIR__ . '/part/url-rules.php',
    ],
    'urlManagerFrontEnd' => [
        'class' => 'yii\web\urlManager',
        'baseUrl' => '/',
        'enablePrettyUrl' => true,
        'showScriptName' => false,
        'rules' => [
            'page/<alias:[\w\-]+>' => 'page/page/view',

        ]
    ],
    'request' => [
        'class' => \thread\app\web\Request::class,
        'enableCsrfValidation' => true,
        'enableCookieValidation' => true,
        'cookieValidationKey' => 'thread',
    ],
    //SEO
    'model-link-image' => [
        'class' => \thread\modules\seo\modules\modellink\components\ModelLinkImage::class
    ],
    'view' => [
        'theme' => [
            'baseUrl' => '@web/themes/defaults',
            'pathMap' => [
                '@app/layouts' => [
                    '@app/themes/defaults/layouts',
                ],
                '@app/modules' => [
                    '@app/themes/defaults/modules',
                ]
            ],
        ],
    ],
    'languages' => [
        'class' => \thread\app\model\Languages::class,
        'languageModel' => \thread\modules\sys\models\Language::class,
    ],
];
