<?php

namespace backend\modules\faq\controllers;

use yii\helpers\ArrayHelper;
//
use thread\app\base\controllers\BackendController;
use thread\actions\EditableAttributeSaveLang;
//
use backend\modules\faq\models\{
    Group, GroupLang, search\Group as filterGroupModel
};

/**
 * Class GroupController
 *
 * @package backend\modules\faq\controllers
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class GroupController extends BackendController
{
    public $model = Group::class;
    public $modelLang = GroupLang::class;
    public $filterModel = filterGroupModel::class;
    public $title = 'Groups';
    public $name = 'group';

    /**
     * @return array
     */
    public function actions()
    {

        return ArrayHelper::merge(parent::actions(), [
            'attribute-save' => [
                'class' => EditableAttributeSaveLang::class,
                'modelClass' => $this->modelLang,
                'attribute' => 'title',
            ]
        ]);
    }
}
