<?php

namespace backend\modules\location\models;

use yii\helpers\ArrayHelper;
use common\modules\location\models\Region as CommonModel;


/**
 * Class Region
 * @package backend\modules\location\models
 * @author Alla Kuzmenko
 * @copyright (c), Thread
 */
class Region extends CommonModel
{
    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function search($params)
    {
        return (new search\Region())->search($params);
    }

    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function trash($params)
    {
        return (new search\Region())->trash($params);
    }

    /**
     * Backend form dropdown list
     * @return array
     */
    public static function getDropdownList()
    {
        return ArrayHelper::map(self::findBase()
            ->innerJoinWith(['lang'])
            ->asArray()
            ->all(), 'id', 'lang.title');
    }
}
