<?php
use backend\widgets\GridView\GridView;
//
use yii\helpers\Html;
use thread\widgets\grid\{
    ActionCheckboxColumn
};

/**
 * @var $model \backend\modules\location\models\Country
 * @var $filter \backend\modules\location\models\search\Country
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        [
            'class' => \thread\widgets\grid\kartik\EditableColumn::class,
            'attribute' => 'title',
            'displayValue' => function ($model) {
                return $model->getTitle();
            }
        ],
        [
            'format' => 'raw',
            'value' => function ($model) {
                return Html::a(
                    Yii::t('location', 'City') . ': ' . ' (' . $model->getCitiesCount() . ')',
                    ['/location/city/list', 'country_id' => $model['id']]
                );
            }
        ],
        [
            'class' => ActionCheckboxColumn::class,
            'attribute' => 'published',
            'action' => 'published'
        ],
        [
            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class
        ],
    ]
]);
