<?php

namespace backend\modules\map\controllers;

use yii\helpers\ArrayHelper;

use thread\actions\fileapi\{
    DeleteAction, UploadAction
};
use thread\app\base\controllers\BackendController;

use backend\modules\map\models\{
    Item as MainModel, ItemLang as ModelLang, search\Item as SearchModel
};

/**
 * Class ItemController
 * @package backend\modules\map\controllers
 * @author Alla Kuzmenko
 * @copyright (c), Thread
 */
class ItemController extends BackendController
{
    public $model = MainModel::class;
    public $modelLang = ModelLang::class;
    public $filterModel = SearchModel::class;
    public $name = 'item';
    public $title = 'Objects';

    /**
     * @return array
     */
    public function actions()
    {
        return ArrayHelper::merge(
            parent::actions(),
            [
                'list' => [
                    'layout' => 'list-item'
                ],
                'create' => [
                    'layout' => 'item'
                ],
                'update' => [
                    'layout' => 'item'
                ],
                'fileupload' => [
                    'class' => UploadAction::class,
                    'path' => $this->module->getItemUploadPath(),
                    'uploadOnlyImage' => false,
                    'unique' => false,
                ],
                'filedelete' => [
                    'class' => DeleteAction::class,
                    'path' => $this->module->getItemUploadPath()
                ],
            ]
        );
    }

}
