<?php

namespace backend\modules\map\controllers;

use thread\actions\EditableAttributeSave;
use yii\helpers\ArrayHelper;

use thread\actions\fileapi\{
    DeleteAction, UploadAction
};
use thread\app\base\controllers\BackendController;

use backend\modules\map\models\{
    Type as MainModel, search\Type as SearchModel
};
use common\modules\map\models\TypeLang as ModelLang;

/**
 * Class TypeController
 * @package backend\modules\map\controllers
 * @author Alla Kuzmenko
 * @copyright (c), Thread
 */
class TypeController extends BackendController
{
    public $model = MainModel::class;
    public $modelLang = ModelLang::class;
    public $filterModel = SearchModel::class;
    public $name = 'type';
    public $title = 'type';

    /**
     * @return array
     */
    public function actions()
    {
        return ArrayHelper::merge(
            parent::actions(),
            [
                'list' => [
                    'layout' => 'list-item'
                ],
                'create' => [
                    'layout' => 'item'
                ],
                'update' => [
                    'layout' => 'item'
                ],
                'fileupload' => [
                    'class' => UploadAction::class,
                    'path' => $this->module->getItemUploadPath(),
                    'uploadOnlyImage' => false,
                    'unique' => false,
                ],
                'filedelete' => [
                    'class' => DeleteAction::class,
                    'path' => $this->module->getItemUploadPath()
                ],
                'attribute-save' => [
                    'class' => EditableAttributeSave::class,
                    'modelClass' => $this->model,
                    'attribute' => 'position',
                ]
            ]
        );
    }

}
