<?php

namespace backend\modules\map\models;

use yii\helpers\ArrayHelper;

/**
 * Class Type
 * @package backend\modules\map\models
 * @author Alla Kuzmenko
 * @copyright (c), Thread
 */
class Type extends \common\modules\map\models\Type
{
    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function search($params)
    {
        return (new search\Type())->search($params);
    }

    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function trash($params)
    {
        return (new search\Type())->trash($params);
    }

    /**
     * Backend form dropdown list
     * @param string $type
     * @return array
     */
    public static function getDropdownList(string $type)
    {
        return ArrayHelper::map(self::findBase()
            ->innerJoinWith(['lang'])
            ->andWhere(['type_map' => $type])
            ->asArray()
            ->all(), 'id', 'lang.title');
    }

    /**
     * @return string
     */
    public function getTitle()
    {
        return (isset($this->lang->title)) ? $this->lang->title : "";
    }

    /**
     * Backend form dropdown list
     * @return array
     */
    public static function dropDownList()
    {
        return ArrayHelper::map(self::findBase()->joinWith(['lang'])->undeleted()->all(), 'id', 'lang.title');
    }

}
