<?php

use thread\app\bootstrap\ActiveForm;
//
use backend\widgets\Forms\Tabs;
use backend\widgets\Gallery\GalleryWidget;

/**
 *
 */
$form = ActiveForm::begin();
if ($model->isNewRecord) {
    $model->type = Yii::$app->request->get('type');
}
$items = [
    [
        'label' => Yii::t('app', 'Settings'),
        'content' => $this->render('parts/_settings', [
            'form' => $form,
            'model' => $model,
            'modelLang' => $modelLang,
        ])
    ],
    [
        'label' => Yii::t('app', 'Gallery') . '(' . Yii::t('app', 'Source') . ')',
        'content' => $this->render('parts/_gallery', [
            'form' => $form,
            'model' => $model,
            'modelLang' => $modelLang
        ])
    ],
    [
        'label' => Yii::t('app', 'Gallery'),
        'content' => GalleryWidget::widget(['model' => $model, 'form' => $form]),
        'visible' => ($model->getGalleryItems()) ? true : false
    ],
];

if (!$model->isNewRecord) {
    $items[] = [
        'label' => Yii::t('seo', 'Seo'),
        'content' => $this->render('parts/_seo', [
            'form' => $form,
            'model' => $model,
            'modelLang' => $modelLang
        ]),
    ];
}

echo $form->submit($model, $this)
    . Tabs::widget([
        'items' => $items
    ])
    . $form->submit($model, $this);
ActiveForm::end();
