<?php

use yii\helpers\Html;
use thread\widgets\grid\ActionCheckboxColumn;
use backend\widgets\GridView\GridView;
use backend\widgets\GridView\gridColumns\ActionColumn;

/**
 * @var \backend\modules\map\models\Item $model
 */

echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'tableOptions' => ['class' => 'table table-striped table-bordered'],
    'filterModel' => $filter,
    'columns' => [
        [
            'format' => 'raw',
            'attribute' => 'color',
            'value' => function ($model) {
                return Html::tag('div', '<br>', ['style' => 'background-color:' . $model['color'] . ';']);
            },
        ],
        [
            'format' => 'raw',
            'attribute' => 'title',
            'label' => Yii::t('app', 'Title'),
            'value' => function ($model) {
                return $model->getTitle();
            },
        ],
        [
            'attribute' => 'type_map',
            'value' => function ($model) {
                return ($this->context->module::typeRange()[$model['type_map']]) ?? '';
            },
            'filter' => $this->context->module::typeRange()

        ],
        [
            'class' => \thread\widgets\grid\kartik\EditableColumn::class,
            'attribute' => 'position',
            'displayValue' => function ($model) {
                return $model['position'] ?? 0;
            }
        ],
        [
            'class' => ActionCheckboxColumn::class,
            'attribute' => 'published',
            'action' => 'published'
        ],
        [
            'class' => ActionColumn::class,
            //'deleteLink' =>  ['id', 'training_id'],
            'updateLink' => ['id', 'type_map']
        ],
    ]
]);
