<?php

namespace backend\modules\menu\models;

use yii\helpers\ArrayHelper;

/**
 * Class MenuItemLang
 *
 * @package backend\modules\menu\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class MenuItemLang extends \thread\modules\menu\models\MenuItemLang
{
    /**
     * @var
     */
    private $_external_link;

    /**
     * @param $external_link
     */
    public function setExternal_link($external_link)
    {
        $this->_external_link = $external_link;
    }

    /**
     * @return string
     */
    public function getExternal_link()
    {
        return $this->link;
    }

    /**
     * @return array
     */
    public function rules()
    {
        return ArrayHelper::merge(parent::rules(), [
            [['external_link'], 'string', 'max' => 255],
        ]);
    }

    /**
     * @return array
     */
    public function scenarios()
    {
        return ArrayHelper::merge(parent::scenarios(), [
            'title' => ['title'],
            'backend' => ['external_link'],
        ]);
    }

    /**
     * @param bool $insert
     * @return bool
     */
    public function beforeSave($insert)
    {
        $this->link = $this->_external_link;
//        if ($this->link === null) {
//            $this->link = '';
//        }

        return parent::beforeSave($insert);
    }
}
