<?php

use yii\helpers\Html;

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */

$module = (Yii::$app->controller->module->module->id == "app-backend") ?
    Yii::$app->controller->module->id : Yii::$app->controller->module->module->id;

$this->beginContent('@app/layouts/main.php'); ?>

    <div class="row white-bg page-heading">
        <div class="col-md-7">
            <h2>
                <?= Yii::t($module, $this->context->module->title) ?>.
                <b>"<?= $this->context->group->getTitle() ?>"</b>.
                <?= Yii::t($module, $this->context->title) ?>.
                <?= Yii::t('app', 'List') ?>
            </h2>
        </div>
        <div class="col-md-2">
            <h2 class="btn-group" role="group">
                <?= Html::a(Yii::t('app', 'Group'), ['/menu/menu/list'], ['class' => 'btn btn-warning']) ?>
            </h2>
        </div>
        <div class="col-md-3">
            <h2 class="btn-group" role="group">
                <?= Html::a('<i class="fa fa-plus"></i> ' . Yii::t('app', 'Create'), ['create', 'group_id' => $this->context->group->id], ['class' => 'btn btn-primary']) ?>
                <?= Html::a('<i class="fa fa-trash"></i> ', ['trash', 'group_id' => $this->context->group->id], ['class' => 'btn btn-default', 'title' => Yii::t('app', 'Trash')]) ?>
            </h2>
        </div>
    </div>

    <div class="animated fadeIn">
        <?= $content ?>
    </div>

<?php $this->endContent();
