<?php

namespace backend\modules\news\models;

use yii\helpers\{
    ArrayHelper, Inflector
};
use yii\behaviors\AttributeBehavior;
//
use thread\app\model\interfaces\BaseBackendModel;
use thread\actions\fileapi\UploadBehavior;

/**
 * Class Article
 *
 * @package backend\modules\news\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Article extends \thread\modules\news\models\Article implements BaseBackendModel
{
    public $title;

    /**
     * @return array
     */
    public function behaviors()
    {
        return ArrayHelper::merge(parent::behaviors(), [
            [
                'class' => AttributeBehavior::className(),
                'attributes' => [
                    self::EVENT_BEFORE_INSERT => 'alias',
                    self::EVENT_BEFORE_UPDATE => 'alias',
                    self::EVENT_BEFORE_VALIDATE => 'alias',
                ],
                'value' => function ($event) {
                    return Inflector::slug($this->alias);
                },
            ],
            'uploadBehavior' => [
                'class' => UploadBehavior::class,
                'unlinkOnDelete' => false,
                'attributes' => [
                    'image_link' => [
                        'getBaseUploadPathOwner' => 'getBaseUploadPath',
                        'getBaseUploadUrlOwner' => 'getBaseUploadUrl',
                    ],
                ]
            ],
        ]);
    }

    /**
     * @return array
     */
    public function scenarios()
    {
        return ArrayHelper::merge(parent::scenarios(), [
            'group_id' => ['group_id'],
        ]);
    }

    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function search($params)
    {
        return (new search\Article())->search($params);
    }

    /**
     * @param $params
     * @return \yii\data\ActiveDataProvider
     */
    public function trash($params)
    {
        return (new search\Article())->trash($params);
    }
}
