<?php

namespace backend\modules\news\modules\review\controllers;

use yii\helpers\ArrayHelper;
//
use thread\app\base\controllers\BackendController;
use thread\actions\{
    Create, Update
};
//
use backend\modules\news\modules\review\models\{
    Review, search\Review as filterModel
};

/**
 * Class ReviewController
 *
 * @package backend\modules\news\modules\review\controllers
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class ReviewController extends BackendController
{
    public $model = Review::class;
    public $filterModel = filterModel::class;
    public $title = 'Review';
    public $name = 'review';

    /**
     * @return array
     */
    public function actions()
    {
        return ArrayHelper::merge(
            parent::actions(),
            [
                'create' => [
                    'class' => Create::class,
                ],
                'update' => [
                    'class' => Update::class,
                ]
            ]
        );
    }
}
