<?php
use thread\app\bootstrap\{
    ActiveForm
};
//
use backend\widgets\Forms\Tabs;

/**
 * @var $model \backend\modules\news\models\Article
 * @var $modelLang \backend\modules\news\models\ArticleLang
 */
//
$form = ActiveForm::begin();
//
$items = [
    [
        'label' => Yii::t('app', 'General'),
        'content' => $this->render('parts/_settings', [
            'form' => $form,
            'model' => $model,
            'modelLang' => $modelLang
        ])
    ],
    [
        'label' => Yii::t('app', 'Content'),
        'content' => $this->render('parts/_page', [
            'form' => $form,
            'model' => $model,
            'modelLang' => $modelLang
        ])
    ],
    [
        'label' => Yii::t('news', 'Image'),
        'content' => $this->render('parts/_image', [
            'form' => $form,
            'model' => $model,
            'modelLang' => $modelLang
        ])
    ],
];
if (!$model->isNewRecord) {
    $items[] = [
        'label' => Yii::t('seo', 'Seo'),
        'content' => $this->render('parts/_seo', [
            'form' => $form,
            'model' => $model,
            'modelLang' => $modelLang
        ]),
    ];
}

echo $form->submit($model, $this)
    . Tabs::widget([
        'items' => $items
    ])
    . $form->submit($model, $this);

ActiveForm::end();
