<?php

use yii\helpers\Html;
use backend\widgets\GridView\GridView;
//
use thread\widgets\grid\{
    ActionStatusColumn
};

/**
 * @var $model \backend\modules\news\models\Group
 * @var $filter \backend\modules\news\models\search\Group
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        [
            'class' => \thread\widgets\grid\kartik\EditableColumn::class,
            'attribute' => 'title',
            'displayValue' => function ($model) {
                return $model->getTitle();
            }
        ],
        [
            'label' => Yii::t('news', 'Articles'),
            'format' => 'raw',
            'value' => function ($model) {
                return Html::a(Yii::t('news', 'Articles') . ' (' . $model->getArticlesCount() . ')',
                    ['/news/article/list', 'Article[group_id]' => $model['id']]);
            }
        ],
        [
            'class' => ActionStatusColumn::class,
            'attribute' => 'published',
            'action' => 'published'
        ],
        [
            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class
        ],
    ]
]);
