<?php

namespace backend\modules\page\controllers;

use yii\helpers\ArrayHelper;
//
use thread\actions\EditableAttributeSaveLang;
use thread\app\base\controllers\BackendController;
//
use backend\modules\page\models\{
    StaticTextBlock, StaticTextBlockLang, search\StaticTextBlock as filterPageModel
};

/**
 * Class StaticTextBlockController
 *
 * @package backend\modules\page\controllers
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class StaticTextBlockController extends BackendController
{
    public $model = StaticTextBlock::class;
    public $modelLang = StaticTextBlockLang::class;
    public $filterModel = filterPageModel::class;
    public $title = 'StaticTextBlock';
    public $name = 'statictextblock';

    /**
     * @return array
     */
    public function actions()
    {
        return ArrayHelper::merge(
            parent::actions(),
            [
                'attribute-save' => [
                    'class' => EditableAttributeSaveLang::class,
                    'modelClass' => $this->modelLang,
                    'attribute' => 'title',
                ]
            ]
        );
    }
}
