<?php
namespace backend\modules\partners\controllers;

use yii\helpers\ArrayHelper;

use thread\actions\fileapi\{
    DeleteAction, UploadAction
};
use thread\app\base\controllers\BackendController;

use backend\modules\partners\models\{
    Item as MainModel, ItemLang as MainModelLang, search\Item as SearchModel
};
/**
 * Class ItemController
 * @package backend\modules\partners\controllers
 * @author Alla Kuzmenko
 * @copyright (c), Thread
 */
class ItemController extends BackendController
{
    public $model = MainModel::class;
    public $modelLang = MainModelLang::class;
    public $filterModel = SearchModel::class;
    public $name = 'item';
    public $title = 'Item';

    /**
     * @return array
     */
    public function actions()
    {
        return ArrayHelper::merge(
            parent::actions(),
            [
                'fileupload' => [
                    'class' => UploadAction::class,
                    'path' => $this->module->getItemUploadPath()
                ],
                'filedelete' => [
                    'class' => DeleteAction::class,
                    'path' => $this->module->getItemUploadPath()
                ],
            ]
        );
    }
}
