<?php

use backend\widgets\GridView\GridView;
//
use thread\widgets\grid\{
    ActionStatusColumn, GridViewFilter
};
//
use backend\modules\seo\modules\directlink\models\Directlink;

/**
 * @var $model \backend\modules\seo\modules\directlink\models\DirectlinkImage
 * @var $filter \backend\modules\seo\modules\directlink\models\search\DirectlinkImage
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        [
            'attribute' => 'direct_link_id',
            'value' => function ($model) {
                return ($model['direct_link_id']) ? $model['directlink']['url'] : '';
            },
            'filter' => GridViewFilter::selectOne($filter, 'direct_link_id', Directlink::dropDownList()),
        ],
        'image_loc',
        [
            'class' => ActionStatusColumn::class,
            'attribute' => 'add_to_sitemap',
            'action' => 'add_to_sitemap'
        ],
//        [
//            'class' => ActionStatusColumn::class,
//            'attribute' => 'dissallow_in_robotstxt',
//            'action' => 'dissallow_in_robotstxt'
//        ],
        [
            'class' => ActionStatusColumn::class,
            'attribute' => 'published',
            'action' => 'published'
        ],
        [
            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class,
        ],
    ]
]);
