<?php

namespace backend\modules\sys\modules\configs\controllers;

use yii\helpers\ArrayHelper;
//
use thread\app\base\controllers\BackendController;
use thread\actions\{
    EditableAttributeSave, EditableAttributeSaveLang
};
//
use backend\modules\sys\modules\configs\models\{
    Params, ParamsLang, search\Params as filterParamsModel
};

/**
 * Class ParamsController
 *
 * @package backend\modules\sys\modules\configs\controllers
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class ParamsController extends BackendController
{
    public $model = Params::class;
    public $modelLang = ParamsLang::class;
    public $filterModel = filterParamsModel::class;
    public $title = 'Params';
    public $name = 'params';

    /**
     * @return array
     */
    public function actions()
    {

        return ArrayHelper::merge(parent::actions(), [
            'list' => [
                'layout' => 'list-params',
            ],
            'attribute-save' => [
                'class' => EditableAttributeSaveLang::class,
                'modelClass' => $this->modelLang,
                'attribute' => 'title',
            ],
            'attribute-save-value' => [
                'class' => EditableAttributeSave::class,
                'modelClass' => $this->model,
                'attribute' => 'value',
            ],
            'attribute-save-lang-value' => [
                'class' => EditableAttributeSaveLang::class,
                'modelClass' => $this->modelLang,
                'attribute' => 'value',
            ],
        ]);
    }
}
