<?php

use yii\helpers\Html;
use backend\widgets\GridView\GridView;
//
use thread\widgets\grid\{
    ActionCheckboxColumn
};
use thread\widgets\grid\kartik\EditableColumn;

/**
 * @var $model \backend\modules\sys\modules\configs\models\Group
 * @var $filter \backend\modules\sys\modules\configs\models\search\Group
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        [
            'class' => EditableColumn::class,
            'attribute' => 'title',
            'displayValue' => function ($model) {
                return $model['lang']['title'] ?? '--';
            }
        ],
        [
            'label' => 'Articles',
            'format' => 'raw',
            'value' => function ($model) {
                return Html::a(Yii::t('app', 'Params') . ' (' . $model->getParamsCount() . ')',
                    ['/sys/configs/params/list', 'Params[group_id]' => $model['id']]);
            }
        ],
        [
            'class' => ActionCheckboxColumn::class,
            'attribute' => 'published',
            'action' => 'published'
        ],
        [
            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class
        ],
    ]
]);
