<?php

use backend\widgets\GridView\GridView;
//
use thread\widgets\grid\{
    GridViewFilter, EditableColumn
};
use backend\modules\sys\modules\configs\models\{
    Group, Params
};

/**
 * @var $model \backend\modules\sys\modules\configs\models\Params
 * @var $filter \backend\modules\sys\modules\configs\models\search\Params
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        [
            'attribute' => 'group_id',
            'value' => 'group.lang.title',
            'filter' => GridViewFilter::selectOne($filter, 'group_id', Group::dropDownList())
        ],
        [
            'class' => \thread\widgets\grid\kartik\EditableColumn::class,
            'attribute' => 'title',
            'displayValue' => function ($model) {
                return $model['lang']['title'] ?? '--';
            }
        ],
        [
            'class' => \thread\widgets\grid\kartik\EditableColumn::class,
            'link' => function ($model) {
                return ($model['is_lang_value'] == Params::STATUS_KEY_OFF) ? ['attribute-save-value'] : ['attribute-save-lang-value'];
            },
            'attribute' => 'value',
            'displayValue' => function ($model) {
                return ($model['is_lang_value'] == Params::STATUS_KEY_OFF) ? $model['value'] : $model['lang']['value'];
            }
        ],
        [
            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class
        ],
    ]
]);
