<?php

use backend\widgets\GridView\GridView;
use yii\helpers\Html;

//
use thread\widgets\grid\{
    ActionStatusColumn, GridViewFilter
};

/**
 * @var $model \backend\modules\sys\modules\growl\models\Growl
 * @var $filter \backend\modules\sys\modules\growl\models\search\Growl
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        [
            'attribute' => 'type',
            'filter' => GridViewFilter::dropDownList($filter, 'type', $filter::getTypeRange()),
            'format' => 'raw',
            'value' => function ($model) {
                return Html::tag('span', Yii::t('sys', $model['type']), [
                    'class' => 'label label-' . $model['type']
                ]);
            }
        ],
        'model',
        [
            'label' => Yii::t('app', 'Create time'),
            'value' => function ($model) {
                return $model->getDateTime();
            }
        ],
        'message',
        [
            'class' => ActionStatusColumn::class,
            'statusLabel' => [
                0 => 'Unread',
                1 => 'Read',
            ],
            'attribute' => 'is_read',
            'action' => 'is_read'
        ],
        [
            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class,
            'updateLink' => false,
            'deleteLink' => false
        ],
    ]
]);
