<?php

use backend\widgets\GridView\GridView;
//
use thread\widgets\grid\{
    ActionCheckboxColumn, GridViewFilter
};
use backend\modules\sys\modules\logbook\models\Logbook;

/**
 * @var $model \backend\modules\sys\modules\logbook\models\Logbook
 * @var $filter \backend\modules\sys\modules\logbook\models\search\Logbook
 */
echo GridView::widget([
    'dataProvider' => $model->search(Yii::$app->request->queryParams),
    'filterModel' => $filter,
    'columns' => [
        [
            'attribute' => 'created_at',
            'value' => function ($model) {
                return date('d.m.Y H:i P', $model['created_at']);
            },
            'filter' => GridViewFilter::datePickerRange($filter, 'date_from', 'date_to'),
        ],
//        [
//            'attribute' => 'type',
//            'value' => function ($model) {
//                return Logbook::getTypeRange()[$model['type']];
//            }
//        ],
        [
            'attribute' => 'user_id',
            'value' => 'user.username',
        ],
        'category',
        [
            'attribute' => 'message',
            'format' => 'raw',
            'value' => function ($model) {
                return \yii\helpers\Html::a($model['message'], $model['url']);
            }
        ],
        [
            'class' => ActionCheckboxColumn::class,
            'attribute' => 'is_read',
            'action' => 'is_read'
        ],
//        [
//            'class' => \backend\widgets\GridView\gridColumns\ActionColumn::class,
//        ],
    ]
]);
