<?php

use yii\helpers\Html;
//
use backend\widgets\LangSwitch\LangSwitch;
use backend\modules\sys\modules\growl\widgets\bell\Bell;
use backend\themes\defaults\assets\AppAsset;

$navMiniStatus = isset($_COOKIE['navbar-minimalize']) ? intval($_COOKIE['navbar-minimalize']) : 0;
/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
$bundle = AppAsset::register($this);

$this->beginPage()
?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <base href="<?= Yii::$app->getUrlManager()->getBaseUrl() ?>">
    <meta charset="<?= Yii::$app->charset ?>"/>
    <link rel="shortcut icon" type="image/png" href="shortfavicon.png"/>
    <link rel="icon" type="image/png" href="favicon.png">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->head(); ?>
</head>
<body class="html <?= $navMiniStatus == 1 ? 'mini-navbar' : '' ?>">
<?php $this->beginBody() ?>

<div id="wrapper">
    <?= backend\themes\defaults\widgets\navbar\NavBar::widget(['bundle' => $bundle]); ?>
    <div id="page-wrapper" class="gray-bg">
        <div class="row border-bottom">
            <nav class="navbar navbar-static-top gray-bg" role="navigation" style="margin-bottom: 0">
                <div class="navbar-header">
                    <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i
                                class="fa fa-bars"></i> </a>
                </div>
                <ul class="nav navbar-top-links navbar-right">
                    <li>
                        <?= Bell::widget() ?>
                    </li>
                    <li>
                        <?= Html::a('<i class="fa fa-sign-out"></i>', ['/user/logout']) ?>
                    </li>
                </ul>
                <?= LangSwitch::widget() ?>
            </nav>
        </div>
        <div style="padding-bottom: 45px;">
            <?= $content ?>
        </div>
    </div>
</div>
<div class="footer" style="position: static">
    <div>
        <strong>Copyright</strong> Thread &copy; <?= date('Y') ?>
    </div>
</div>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>
