<?php

use yii\db\Migration;
use common\modules\calendar\Calendar as ParentModule;

/**
 * Class m171110_030655_create_fv_calendar_article_table
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m171110_030655_create_fv_calendar_article_table extends Migration
{
    /**
     * @var string
     */
    public $tableNewsArticle = '{{%calendar_article}}';

    /**
     * @var string
     */
    public $tableNewsGroup = '{{%calendar_group}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->createTable($this->tableNewsArticle, [
            'id' => $this->primaryKey()->unsigned()->comment('ID'),
            'alias' => $this->string(127)->unique()->notNull()->comment('Alias'),
            'default_title' => $this->string(255)->notNull()->defaultValue('')->comment('Default title'),
            'image_link' => $this->string(255)->notNull()->defaultValue('')->comment('Image link'),
            'gallery_link' => $this->text()->comment('Gallery'),
            'published_time' => $this->integer()->unsigned()->notNull()->defaultValue(0)->comment('Published time'),
            'created_at' => $this->integer()->unsigned()->notNull()->defaultValue(0)->comment('Create time'),
            'updated_at' => $this->integer()->unsigned()->notNull()->defaultValue(0)->comment('Update time'),
            'published' => "enum('0','1') NOT NULL DEFAULT '0' COMMENT 'Published'",
            'deleted' => "enum('0','1') NOT NULL DEFAULT '0' COMMENT 'Deleted'",
        ]);
        $this->createIndex('published', $this->tableNewsArticle, 'published');
        $this->createIndex('deleted', $this->tableNewsArticle, 'deleted');
        $this->createIndex('published_time', $this->tableNewsArticle, 'published_time');
    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropIndex('published_time', $this->tableNewsArticle);
        $this->dropIndex('deleted', $this->tableNewsArticle);
        $this->dropIndex('published', $this->tableNewsArticle);
        $this->dropTable($this->tableNewsArticle);
    }
}
