<?php

use yii\db\Migration;
use common\modules\calendar\Calendar as ParentModule;

/**
 * Class m171110_030709_create_fv_calendar_article_lang_table
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m171110_030709_create_fv_calendar_article_lang_table extends Migration
{
    /**
     * @var string
     */
    public $tableNewsArticle = '{{%calendar_article}}';

    /**
     * @var string
     */
    public $tableNewsArticleLang = '{{%calendar_article_lang}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->createTable($this->tableNewsArticleLang, [
            'rid' => $this->integer(11)->unsigned()->notNull()->comment('Related model ID'),
            'lang' => $this->string(5)->notNull()->comment('Language'),
            'title' => $this->string(255)->notNull()->comment('Title'),
            'description' => $this->string(255)->notNull()->defaultValue('')->comment('Description'),
            'content' => $this->text()->defaultValue(null)->comment('Content'),
        ]);
        $this->createIndex('rid', $this->tableNewsArticleLang, ['rid', 'lang'], true);
        $this->createIndex('rid_2', $this->tableNewsArticleLang, 'rid');

        $this->addForeignKey(
            'fv_calendar_article_lang_ibfk_1',
            $this->tableNewsArticleLang,
            'rid',
            $this->tableNewsArticle,
            'id',
            'CASCADE',
            'CASCADE'
        );
    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropForeignKey('fv_calendar_article_lang_ibfk_1', $this->tableNewsArticleLang);
        $this->dropIndex('rid', $this->tableNewsArticleLang);
        $this->dropIndex('rid_2', $this->tableNewsArticleLang);
        $this->dropTable($this->tableNewsArticleLang);
    }
}
