<?php

namespace common\modules\location\models;

use Yii;
use yii\helpers\ArrayHelper;
use thread\app\base\models\ActiveRecordLang;
use thread\modules\location\Location as MainModule;

/**
 * Class RegionLang
 *
 * @property integer $rid
 * @property string $lang
 * @property string $title
 *
 * @author Alla Kuzmenko
 * @package common\modules\location\models
 * @copyright (c), Thread
 */
class RegionLang extends ActiveRecordLang
{
    const moduleName = 'location';


    /**
     * @return null|object|string
     */
    public static function getDb()
    {
        return MainModule::getDb();
    }

    /**
     * @return string
     */
    public static function tableName()
    {
        return '{{%location_region_lang}}';
    }

    /**
     * @return array
     */
    public function rules()
    {
        return ArrayHelper::merge(parent::rules(), [
            [['title'], 'required'],
            ['rid', 'exist', 'targetClass' => Region::class, 'targetAttribute' => 'id'],
            ['title', 'string', 'max' => 225]
        ]);
    }

    /**
     * @return array
     */
    public function attributeLabels()
    {
        return [
            'rid' => Yii::t('app', 'RID'),
            'lang' => Yii::t('app', 'Lang'),
            'title' => Yii::t('app', 'Title')
        ];
    }

    /**
     * @return array
     */
    public function scenarios()
    {
        return [
            'backend' => ['title']
        ];
    }
}
