<?php

namespace common\modules\map;

use Yii;
use thread\app\base\module\abstracts\Module as ThreadModule;


/**
 * Class Map
 * @author Alla Kuzmenko
 * @package common\modules\map
 * @copyright (c), Thread
 *
 * @property string $baseUploadUrl
 */
class Map extends ThreadModule
{
    public $name = 'map';
    public $configPath = __DIR__ . '/config.php';
    public $translationsBasePath = __DIR__ . '/messages';

    const TYPE_1 = 'project';
    const TYPE_2 = 'resource';

    /**
     * Type of map
     * @return array
     */
    public static function typeRange()
    {
        return [
            self::TYPE_1 => Yii::t('map', 'Мапа проектів'),
            self::TYPE_2 => Yii::t('map', 'Мапа ресурсного потенціалу')
        ];
    }

    /**
     * @return string
     */
    public function getItemUploadPath()
    {
        return $this->getBaseUploadPath($this->name);
    }

    /**
     * @return string
     */
    public function getItemUploadUrl()
    {
        return $this->getBaseUploadUrl($this->name);
    }

    /**
     * @param $key
     * @return string
     */
    public function getBaseUploadPath($key)
    {
        $item = [
            $this->name => Yii::getAlias('@uploads') . '/' . $this->name . '/',
        ];
        return $item[$key];
    }

    /**
     * @param $key
     * @return string
     */
    public function getBaseUploadUrl($key)
    {
        $item = [
            $this->name => '/uploads/' . $this->name . '/',
        ];
        return $item[$key];
    }

}

