<?php

use yii\db\Migration;
use common\modules\map\Map as ParentModule;

class m171022_193101_create_table_map_item extends Migration
{

    /**
     * @var string
     */
    public $table = '{{%map_item}}';
    public $tableUser = '{{%user}}';


    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    public function safeUp()
    {
        $this->createTable($this->table, [
            'id' => $this->primaryKey()->unsigned()->comment('Id'),
            'alias' => $this->string(128)->notNull()->unique()->comment('alias'),
            'user_id' => $this->integer(11)->unsigned()->comment('Related USER'),
            'type' => "enum('project', 'resource') NOT NULL DEFAULT 'project' COMMENT 'type'",
            'web_site' => $this->string(128)->notNull()->defaultValue('')->comment('web_site'),
            'youtube_link' => $this->string(128)->notNull()->defaultValue('')->comment('youtube_link'),
            'investment' => $this->integer(10)->notNull()->defaultValue(0)->comment('investment'),
            'gallery_image' => $this->string(1024)->defaultValue(null)->comment('Gallery image'),
            'gallery_file' => $this->string(1024)->defaultValue(null)->comment('Gallery file'),
            'position' => $this->integer(11)->unsigned()->notNull()->defaultValue(0)->comment('Position'),
            'created_at' => $this->integer()->unsigned()->notNull()->defaultValue(0)->comment('Create time'),
            'updated_at' => $this->integer()->unsigned()->notNull()->defaultValue(0)->comment('Update time'),
            'published' => "enum('0','1') NOT NULL DEFAULT '0' COMMENT 'Published'",
            'deleted' => "enum('0','1') NOT NULL DEFAULT '0' COMMENT 'Deleted'",
            'coordinates' => $this->string(128)->notNull()->defaultValue('')->comment('coordinates'),

        ]);
        $this->createIndex('type', $this->table, 'type');

        $this->addForeignKey(
            'fk-map_item-user_id-user-id',
            $this->table,
            'user_id',
            $this->tableUser,
            'id'
        );
    }

    public function safeDown()
    {
        $this->dropForeignKey('fk-map_item-user_id-user-id', $this->table);
        $this->dropIndex('alias', $this->table);
        $this->dropIndex('type', $this->table);
        $this->dropTable($this->table);
    }
}
