<?php

use yii\db\Migration;
use common\modules\map\Map as ParentModule;

class m171022_193107_create_table_map_item_lang extends Migration
{

    /**
     * @var string
     */
    public $tableLang = '{{%map_item_lang}}';

    /**
     * @var string
     */
    public $table = '{{%map_item}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * @inheritdoc
     */
    public function safeUp()
    {
        $this->createTable($this->tableLang, [
            'rid' => $this->integer()->unsigned()->notNull()->comment('Related model ID'),
            'lang' => $this->string(5)->notNull()->comment('Language'),
            'title' => $this->string(255)->notNull()->comment('Title'),
            'description' => $this->text()->comment('description'),
            'initiator' => $this->string(255)->notNull()->defaultValue('')->comment('initiator'),
            'kind_of_economic_activity' => $this->string(255)->notNull()->defaultValue('')->comment('kind_of_economic_activity'),
            'project_implementation_period' => $this->string(255)->notNull()->defaultValue('')->comment('project_implementation_period'),
            'investment_schedule' => $this->text()->comment('project_implementation_period'),
            'financing_sources' => $this->string(255)->notNull()->defaultValue('')->comment('project_implementation_period'),
            'estimated_return_on_investment' => $this->text()->comment('project_implementation_period'),
            'achieved_effect' => $this->text()->comment('project_implementation_period'),
            'forms_cooperation_with_investor' => $this->text()->comment('project_implementation_period'),
            'technical_parameters' => $this->text()->comment('project_implementation_period'),
            'licenses' => $this->string(255)->notNull()->defaultValue('')->comment('project_implementation_period'),
            'project_documentation' => $this->string(255)->notNull()->defaultValue('')->comment('project_implementation_period'),
            'infrastructure' => $this->string(255)->notNull()->defaultValue('')->comment('project_implementation_period'),
            'talks' => $this->string(255)->notNull()->defaultValue('')->comment('project_implementation_period'),

        ]);

        $this->createIndex('rid', $this->tableLang, ['rid', 'lang'], true);

        $this->addForeignKey(
            'fk-map_item_lang-rid-map_item-id',
            $this->tableLang,
            'rid',
            $this->table,
            'id',
            'CASCADE',
            'CASCADE'
        );
    }

    /**
     * @inheritdoc
     */
    public function safeDown()
    {
        $this->dropForeignKey('fk-map_item_lang-rid-map_item-id', $this->tableLang);
        $this->dropIndex('rid', $this->tableLang);
        $this->dropTable($this->tableLang);
    }
}
