<?php

use yii\db\Migration;
use common\modules\map\Map as ParentModule;

class m171106_194311_create_table_map_type extends Migration
{


    /**
     * @var string
     */
    public $table = '{{%map_type}}';


    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    public function safeUp()
    {
        $this->createTable($this->table, [
            'id' => $this->primaryKey()->unsigned()->comment('Id'),
            'type_map' => "enum('project', 'resource') NOT NULL DEFAULT 'project' COMMENT 'type'",
            'color' => $this->string(128)->notNull()->defaultValue('')->comment('web_site'),
            'position' => $this->integer(11)->unsigned()->notNull()->defaultValue(0)->comment('Position'),
            'created_at' => $this->integer()->unsigned()->notNull()->defaultValue(0)->comment('Create time'),
            'updated_at' => $this->integer()->unsigned()->notNull()->defaultValue(0)->comment('Update time'),
            'published' => "enum('0','1') NOT NULL DEFAULT '0' COMMENT 'Published'",
            'deleted' => "enum('0','1') NOT NULL DEFAULT '0' COMMENT 'Deleted'",

        ]);
        $this->createIndex('type_map', $this->table, 'type_map');
    }

    public function safeDown()
    {
        $this->dropIndex('type_map', $this->table);
        $this->dropTable($this->table);
    }
}
