<?php

use yii\db\Migration;
use common\modules\map\Map as ParentModule;

class m171106_204648_add_column_type_id extends Migration
{

    public $table = '{{%map_item}}';
    public $tableType = '{{%map_type}}';
    public $tableArea = '{{%map_area}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->addColumn($this->table, 'type_id', $this->integer(11)->defaultValue(0)->unsigned()->comment('Related type'));
        $this->addColumn($this->table, 'area_id', $this->integer(11)->defaultValue(0)->unsigned()->comment('Related area'));

        $this->createIndex('type_area', $this->table, ['type_id', 'area_id']);
        $this->addForeignKey(
            'fk-map_item-area_id-map_area-id',
            $this->table,
            'area_id',
            $this->tableArea,
            'id'
        );
        $this->addForeignKey(
            'fk-map_item-type_id-map_type-id',
            $this->table,
            'type_id',
            $this->tableType,
            'id'
        );
    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropIndex('type_area', $this->table);
        $this->dropForeignKey('fk-map_item-type_id-map_type-id', $this->table);
        $this->dropForeignKey('fk-map_item-area_id-map_area-id', $this->table);
        $this->dropColumn($this->table, 'type_id');
        $this->dropColumn($this->table, 'area_id');

    }
}
