<?php

use yii\db\Migration;
use common\modules\map\Map as ParentModule;

class m171112_192303_add_column_to_map_item extends Migration
{

    public $table = '{{%map_item}}';
    public $tableLang = '{{%map_item_lang}}';


    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->addColumn($this->table, 'electric_power', $this->integer(11)->defaultValue(0)->unsigned()->comment('electricity_exercise'));
        $this->addColumn($this->tableLang, 'expenditure_additional_infrastructure', $this->string(255)->notNull()->defaultValue('')->comment('expenditure_additional_infrastructure'));

    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropColumn($this->table, 'electricity_exercise');
        $this->dropColumn($this->tableLang, 'expenditure_additional_infrastructure');


    }
}
