<?php

namespace common\modules\partners;

use Yii;
use thread\app\base\module\abstracts\Module as ThreadModule;

/**
 * Class Partners
 * @author Alla Kuzmenko
 * @package common\modules\partners
 * @copyright (c), Thread
 *
 * @property string $baseUploadPath
 * @property string $itemUploadUrl
 * @property string $itemUploadPath
 * @property string $baseUploadUrl
 */
class Partners extends ThreadModule
{
    public $name = 'partners';
    public $title = 'partners';
    const name = 'partners';
    public $configPath = __DIR__ . '/config.php';
    public $translationsBasePath = __DIR__ . '/messages';

    /**
     * Image upload path
     * @return string
     */
    public function getItemUploadPath()
    {
        return $this->getBaseUploadPath();
    }

    /**
     * Image upload URL
     * @return string
     */
    public function getItemUploadUrl()
    {
        return $this->getBaseUploadUrl();
    }

    /**
     * Image upload URL
     * @return string
     */
    public function getBaseUploadUrl()
    {
        return '/uploads/' . $this->name;
    }

    /**
     * Image upload Path
     * @return string
     */
    public function getBaseUploadPath()
    {
        return Yii::getAlias('@uploads') . '/' . $this->name . '/';
    }
}
