<?php

use yii\db\Migration;
use common\modules\partners\Partners as ParentModule;

class m171031_201243_create_table_partners_item extends Migration
{

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    protected $table = '{{%partners_item}}';

    /**
     * @inheritdoc
     */
    public function safeUp()
    {
        $this->createTable($this->table, [
            'id' => $this->primaryKey()->unsigned()->comment('Id'),
            'image_link' => $this->string(255)->notNull()->defaultValue('')->comment('Image'),
            'site_link' => $this->string(255)->notNull()->defaultValue('')->comment('site_link'),
            'position' => $this->integer(10)->notNull()->defaultValue(0)->comment('position'),
            'created_at' => $this->integer(10)->notNull()->defaultValue(0)->comment('Create time'),
            'updated_at' => $this->integer(10)->notNull()->defaultValue(0)->comment('Update time'),
            'published' => $this->boolean()->notNull()->defaultValue(0)->comment('Published'),
            'deleted' => $this->boolean()->notNull()->defaultValue(0)->comment('Deleted'),
        ]);
    }

    /**
     * @inheritdoc
     */
    public function safeDown()
    {
        $this->dropTable($this->table);
    }
}
