<?php
use yii\helpers\ArrayHelper;

$main = require(dirname(__DIR__, 2) . '/common/config/main.php');
foreach ($main['bootstrap'] as $itemkey => $item) {
    if ($item == 'languages') {
        unset($main['bootstrap'][$itemkey]);
        break;
    }
}
unset($itemkey, $item, $main['components']['request']);

return ArrayHelper::merge(
    $main,
    [
        'id' => 'app-console',
        'basePath' => dirname(__DIR__),
        'runtimePath' => '@runtime/console',
        'bootstrap' => [
            'log',
            'queue',
            'queue-mailer',
        ],
        'controllerNamespace' => 'console\controllers',
        'modules' => require(__DIR__ . '/modules.php'),
        'components' => require(__DIR__ . '/components.php'),
        'controllerMap' => [
            'migrate' => [
                'class' => \thread\app\console\controllers\MigrateController::class,
                'templateFile' => '@console/migrationsTemplate/migration.php',
                'migrationPathsOfModules' => [
//                    '@console',
                    '@thread/modules',
//                    '@common/modules',
//                    '@backend/modules',
//                    '@frontend/modules',
                    '@thread/modules/sys/modules',
                    '@thread/modules/seo/modules',
                    '@thread/modules/form/modules',
                    '@common/modules',
                ],
                'migrationPaths' => [
                ],
            ],
        ],
        'params' => [],
    ]
);
