<?php

/**
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c) 2016, Thread
 */
return [
    'errorHandler' => [
        'errorAction' => 'home/home/error',
    ],
    'user' => [
        'enableAutoLogin' => false,
    ],
    'urlManager' => [
        'rules' => require __DIR__ . '/part/url-rules.php',
    ],
    'request' => [
        'class' => \thread\app\web\Request::class,
        'enableCsrfValidation' => true,
        'enableCookieValidation' => true,
        'cookieValidationKey' => 'thread',
    ],
    //CORE
    'languages' => [
        'class' => \thread\app\model\Languages::class,
        'languageModel' => \frontend\modules\sys\models\Language::class,
    ],
    //YII
    'i18n' => [
        'class' => \thread\app\base\i18n\I18N::class,
        'translations' => [
            'front' => [
                'class' => \yii\i18n\PhpMessageSource::class,
                'basePath' => '@frontend/messages',
                'fileMap' => [
                    'front' => 'app.php',
                ],
                'on missingTranslation' => [\thread\app\base\i18n\TranslationEventHandler::class, 'handleMissingTranslation']
            ]
        ],
    ],
    'view' => [
        'class' => \thread\app\web\View::class,
        'theme' => [
            'baseUrl' => '@web/themes/defaults',
            'pathMap' => [
                '@app/layouts' => [
                    '@app/themes/defaults/layouts',
                ],
                '@app/modules' => [
                    '@app/themes/defaults/modules',
                ]
            ],
        ],
    ],
    'assetManager' => [
        'class' => \yii\web\AssetManager::class,
        'appendTimestamp' => true,
    ],
    'recaptcha' => [
        'class' => \recaptcha\ReCaptchaComponent::class,
        'siteKey' => '6LfPTkIUAAAAAEE3m-NLCbUz-r5w7L2c_h-3vQD6',
        'secretKey' => '6LfPTkIUAAAAAHsRHBf1i2sK_xviOr26HmvmcPWN'

    ],
];
