<?php

namespace frontend\modules\calendar\controllers;

use Yii;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
//
use thread\actions\ListQuery;
//
use frontend\components\BaseController;
use frontend\modules\calendar\models\{
    Article, search\Articles
};

/**
 * Class ListController
 *
 * @package frontend\modules\calendar\controllers
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class ListController extends BaseController
{
    public $label = "Calendar";
    public $title = "Calendar";
    public $defaultAction = 'index';
    public $layout = "@app/layouts/base";

    /**
     *
     */
    public function init()
    {
        parent::init();

        $this->breadcrumbs = [
            [
                'label' => Yii::t('calendar', 'Calendar'),
            ]
        ];
    }

    /**
     * @return array
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::class,
                'actions' => [
                    'index' => ['get'],
                ],
            ],
        ];
    }

    /**
     * @return array
     * @throws NotFoundHttpException
     */
    public function actions()
    {
        return [
            'index' => [
                'class' => ListQuery::class,
                'query' => Article::findByParams(),
                'recordOnPage' => 3,
                'layout' => $this->layout
            ],
        ];
    }
}
