<?php

use yii\helpers\Html;
use thread\app\web\View;
use frontend\modules\news\widgets\LatestNews\LatestNews;
use frontend\components\ImageResizer;
use thread\modules\seo\widgets\breadcrumbs\Breadcrumbs;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 *
 * @var $model \frontend\modules\news\models\Article
 */
$this->title = $model['lang']['title'];

//$image = $model->getImageLink();
$image = ImageResizer::getThumb($model->getImagePath(), 1135, 545);
$link = $model->getUrl();
if ($image === null) {
    $image = '/images/blog-1.jpg';
}
?>
<?= Breadcrumbs::widget([
    'links' => $this->context->breadcrumbs ?? []
]) ?>

<article class="blogpost full">
    <div class="post-info">
            <span class="post-date">
                <?= $model->getPublishedTime() ?>
            </span>
    </div>
    <?= Html::tag('h1', $model['lang']['title'], [
        'class' => 'page-title news-article-title',
    ]) ?>
    <div class="blogpost-content">
        <div id="carousel-blog-post" class="carousel slide mb-20" data-ride="carousel">

            <ol class="carousel-indicators">
                <li data-target="#carousel-blog-post" data-slide-to="0" class="active"></li>
            </ol>

            <div class="carousel-inner" role="listbox">
                <div class="item active">
                    <div class="overlay-container">
                        <?= Html::img($image, [
                            'alt' => $model['lang']['title'],
                        ]) ?>
                        <?= Html::a('<i class="fa fa-search-plus"></i>', $image, [
                            'class' => 'overlay-link popup-img'
                        ]) ?>
                    </div>
                </div>
            </div>
        </div>

        <?= $model['lang']['content'] ?>

    </div>
    <footer class="clearfix"></footer>
</article>
