<?php
use yii\helpers\{
    Html, Url
};
use thread\modules\seo\widgets\breadcrumbs\Breadcrumbs;
use \frontend\modules\calendar\Calendar;
use \frontend\modules\calendar\models\Article;

$get = Yii::$app->request->get();
/**
 * @var $models \frontend\modules\calendar\models\search\Articles[]
 */
//
$this->title = Yii::t('calendar', 'Calendar');
echo Breadcrumbs::widget([
    'links' => $this->context->breadcrumbs ?? []
]); ?>
<div class="row">
    <div class="col-md-8 col-sm-8 col-xs-12">
        <?= Html::tag('h1', Yii::t('calendar', 'Calendar'), [
            'class' => 'page-title title-1'
        ]) ?>
        <form method="get">
            <?php
            $date = Article::getMinMaxDate();
            $date['min'] = date('Y', $date['min']);
            $date['max'] = date('Y', $date['max']);
            ?>
            <div class="row news-filter">
                <div class="col-xs-4 required">
                    <select name="year" class="form-control">
                        <?php
                        for ($i = (int)$date['min']; $i <= (int)$date['max']; $i++) {
                            echo Html::tag('option', $i, [
                                'value' => $i,
                                'selected' => (isset($get['year']) && ($get['year'] == $i)) ? true : false
                            ]);
                        }
                        ?>
                    </select>
                </div>
                <div class="col-xs-4 required">
                    <select name="month" class="form-control">
                        <?php
                        $months = Calendar::getMonths();
                        echo Html::tag('option', '---', [
                            'disabled' => true,
                            'selected' => true
                        ]);
                        foreach ($months as $key => $month) {
                            echo Html::tag('option', $month, [
                                'value' => $key,
                                'selected' => (isset($get['month']) && ($get['month'] == $key)) ? true : false
                            ]);
                        }
                        ?>
                    </select>
                </div>
                <div class="col-xs-4">
                    <?= Html::button(Yii::t('front', 'filter out'),
                        ['type' => 'submit', 'class' => 'btn btn-default btn-sm']) ?>
                    <?= (isset($get['year']) || isset($get['month'])) ? Html::a(Yii::t('front', 'reset'),
                        Url::toRoute(['/calendar/list/index']), ['class' => 'btn btn-default btn-sm']) : '' ?>
                </div>
            </div>
        </form>
        <div class="news-container row">
            <?php
            foreach ($models as $k => $article):
                echo $this->render($k == 0 ? 'parts/blog-medium-image-right-sidebar-first' : 'parts/blog-medium-image-right-sidebar', [
                    'article' => $article
                ]);
            endforeach; ?>
        </div>
        <div class="clearfix"></div>
        <div class="pages">
            <?=
            yii\widgets\LinkPager::widget([
                'pagination' => $pages,
                'registerLinkTags' => true,
                'nextPageLabel' => '❯',
                'prevPageLabel' => '❮',
            ]);
            ?>
        </div>
    </div>
    <div class="col-md-4 col-sm-4 col-xs-12">
        <?= \frontend\modules\news\widgets\LatestNews\LatestNews::widget([
            'limit' => 3
        ]) ?>
    </div>
</div>