<?php

namespace frontend\modules\faq\controllers;

use Yii;
use yii\helpers\Url;
use yii\filters\VerbFilter;
//
use frontend\components\BaseController;
use frontend\modules\faq\models\{
    Group, Question
};

/**
 * Class FaqController
 *
 * @package frontend\modules\faq\controllers
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class FaqController extends BaseController
{
    public $label = "Faq";
    public $title = "Faq";
    public $defaultAction = 'index';

    /**
     *
     */
    public function init()
    {
        parent::init();

        $this->breadcrumbs = [
            [
                'label' => Yii::t('page', 'Pages')
            ]
        ];
    }

    /**
     * @return array
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::class,
                'actions' => [
                    'index' => ['get'],
                ],
            ],
        ];
    }

    /**
     * @return string
     */
    public function actionIndex()
    {
        $this->layout = '@app/layouts/page_no_sidebar';
        $groups = Group::getAllWithLabel();
        //
        $this->breadcrumbs[] = [
            'label' => Yii::t('faq', 'Frequently Asked Questions'),
            'url' => Url::toRoute(['/faq/faq/index'])
        ];
        //
        return $this->render('index', [
            'groups' => $groups,
            'form' => new Question([
                'scenario' => 'add_syq'
            ])
        ]);
    }
}
