<?php

namespace frontend\modules\faq\models;

use yii\helpers\HtmlPurifier;

/**
 * Class Question
 *
 * @package frontend\modules\faq\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Question extends \thread\modules\faq\models\Question
{

    /**
     * @return array
     */
    public function scenarios()
    {
        return [
            'add_syq' => ['group_id', 'user_name', 'question', 'email'],
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getGroup()
    {
        return $this->hasOne(Group::class, ['id' => 'group_id']);
    }

    /**
     * @param bool $insert
     * @return bool
     */
    public function beforeSave($insert)
    {
        $this->HtmlPurifier(['user_name', 'question']);
        return parent::beforeSave($insert);
    }

    /**
     * @param array $attributes
     */
    public function HtmlPurifier(array $attributes)
    {
        foreach ($attributes as $attribute) {
            $this->{$attribute} = HtmlPurifier::process($this->{$attribute});
        }
    }
}
