<?php
use yii\helpers\Html;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
?>
<div class="row">

    <!-- main start -->
    <!-- ================ -->
    <div class="main col-md-8">

        <!-- page-title start -->
        <!-- ================ -->
        <?= Html::tag('h1', Yii::t('faq', 'Frequently Asked Questions'), [
            'class' => 'page-title'
        ]) ?>

        <div class="separator-2"></div>
        <!-- page-title end -->
        <!-- Nav tabs -->
        <ul class="nav nav-tabs style-1" role="tablist">
            <?php
            foreach ($groups as $k => $group):
                echo Html::tag('li', Html::a('<i class="fa  fa-life-saver pr-10"></i>' . $group['lang']['title'],
                    ['#tab' . $k],
                    [
                        'role' => 'tab',
                        'data' => [
                            'toggle' => 'tab',
                        ]
                    ]
                ), [
                    'class' => ($k == 0) ? 'active' : ''
                ]);
            endforeach;
            ?>
        </ul>
        <!-- Tab panes -->
        <div class="tab-content">
            <?php
            foreach ($groups as $k => $group):
                echo Html::beginTag('div', [
                    'class' => 'tab-pane fade in active',
                    'id' => 'tab' . $k
                ]);
                $articles = $group['articles'];
                if ($articles !== null):
                    foreach ($articles as $article):
                        echo $this->render('parts/article', [
                            'article' => $article,
                            'k' => $k
                        ]);
                    endforeach;
                endif;
                echo Html::endTag('div');
            endforeach;
            ?>
        </div>
    </div>
    <!-- main end -->

    <!-- sidebar start -->
    <!-- ================ -->
    <aside class="col-md-4 col-lg-3 col-lg-offset-1">
        <div class="sidebar">
            <div class="block clearfix faq-form">
                <?= $this->render('parts/form', [
                    'model' => $form,
                    'groups' => $groups
                ]) ?>
            </div>
        </div>
    </aside>
    <!-- sidebar end -->

</div>
