<?php

use yii\helpers\{
    Html, Url
};
use yii\bootstrap\ActiveForm;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
?>
<?= Html::tag('h3', Yii::t('faq', 'Submit Your Question'), [
    'class' => 'title'
]) ?>
    <div class="separator-2"></div>
    <div class="alert alert-success hidden" id="MessageSent3">
        <?= Yii::t('faq', 'We have received your message, we will contact you very soon') ?>
    </div>
    <div class="alert alert-danger hidden" id="MessageNotSent3">
        <?= Yii::t('faq', 'Oops! Something went wrong please refresh the page and try again.') ?>
    </div>
<?php
$form = ActiveForm::begin([
    'action' => Url::toRoute(['/faq/form/send'])
]);
?>
    <div class="form-group has-feedback">
        <?= $form->field($model, 'user_name', [
            'template' => '{label}{input}<i class="fa fa-user form-control-feedback"></i>{error}{hint}'
        ])->textInput([
            'placeholder' => Yii::t('faq', 'Enter your name')
        ]) ?>
    </div>
    <div class="form-group has-feedback">
        <?= $form->field($model, 'email', [
            'template' => '{label}{input}<i class="fa fa-envelope form-control-feedback"></i>{error}{hint}'
        ])->textInput([
            'placeholder' => Yii::t('faq', 'Enter your email')
        ]) ?>
    </div>
    <div class="form-group">
        <?= $form->field($model, 'group_id')->dropDownList(\frontend\modules\faq\models\Group::dropDownList()) ?>
    </div>
    <div class="form-group has-feedback">
        <?= $form->field($model, 'question', [
            'template' => '{label}{input}<i class="fa fa-pencil form-control-feedback"></i>{error}{hint}'
        ])->textarea([
            'placeholder' => Yii::t('faq', 'Enter your question'),
            'style' => 'resize: none; height:100px;'
        ]) ?>
    </div>
<?= Html::submitButton('Submit', [
    'class' => 'submit-button btn btn-default'
]) ?>
<?php ActiveForm::end(); ?>