<?php

namespace frontend\modules\form\modules\feedback\controllers;

use Yii;
use yii\filters\VerbFilter;
use yii\base\Exception;
use yii\log\Logger;
//
use thread\modules\sys\modules\mailcarrier\queuejob\sendFromBase;
//
use frontend\components\BaseController;
use frontend\modules\form\modules\feedback\models\Question;

/**
 * Class FormController
 *
 * @package frontend\modules\form\modules\feedback\controllers
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class FormController extends BaseController
{
    public $defaultAction = 'index';

    /**
     * @return array
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::class,
                'actions' => [
                    'send' => ['post'],
                ],
            ],
        ];
    }

    /**
     *
     */
    public function actionIndex()
    {

    }

    /**
     *
     */
    public function actionSend()
    {
        $model = new Question([
            'scenario' => 'add_feedback'
        ]);
        if ($model->load(Yii::$app->getRequest()->post())) {
            $transaction = $model::getDb()->beginTransaction();
            try {
                $save = $model->save();

                ($save) ? $transaction->commit() : $transaction->rollBack();
                if ($save) {
                    $this->send($model);
                    Yii::$app->getSession()->addFlash('info-popup', [
                        'title' => Yii::t('front', 'Thank you'),
                        'text' => Yii::t('front', 'Your request has been accepted')
                    ]);
                }
            } catch (Exception $e) {
                Yii::getLogger()->log($e->getMessage(), Logger::LEVEL_ERROR);
                $transaction->rollBack();
            }
        }
        return $this->redirect(['feedback/index']);
    }

    /**
     * @param Question $question
     * @return mixed
     */
    protected function send(Question $question)
    {
        /**
         * @var $carrier \thread\modules\sys\modules\mailcarrier\components\MailCarrier
         * @var $queue \yii\queue\file\Queue
         */
        $carrier = Yii::$app->get('mail-carrier');
        $carrier->setCarrier('feedback')->initCarrier('feedback');
        //
        $carrier->send([
            'question' => $question,
        ], 'feedback/index');
//        $queue = Yii::$app->get('queue-mailer');
//        return $queue->push(new sendFromBase([
//            'letter_id' => $carrier->saveLetterToBase([
//                'question' => $question,
//            ], 'feedback/index')
//        ]));
    }
}
