<?php

namespace frontend\modules\form\modules\feedback\models;

use yii\helpers\HtmlPurifier;
use recaptcha\ReCaptchaValidator;


/**
 * Class Question
 *
 * @package frontend\modules\form\modules\feedback\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Question extends \thread\modules\form\modules\feedback\models\Question
{
    public $reCaptcha;

    /**
     * @return array
     */
    public function rules()
    {
        return [
            [['user_name', 'question', 'email'], 'required'],
            [['group_id'], 'integer'],
            [['user_name', 'question', 'subject'], 'string', 'max' => 255],
            [['email'], 'email'],
            [['reCaptcha'], ReCaptchaValidator::className()],
            [['reCaptcha'], 'required'],
        ];
    }

    /**
     * @return array
     */
    public function scenarios()
    {
        return [
            'add_feedback' => ['group_id', 'user_name', 'question', 'subject', 'email', 'reCaptcha'],
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getGroup()
    {
        return $this->hasOne(Group::class, ['id' => 'group_id']);
    }

    /**
     * @param bool $insert
     * @return bool
     */
    public function beforeSave($insert)
    {
        $this->HtmlPurifier(['user_name', 'question', 'subject']);
        return parent::beforeSave($insert);
    }

    /**
     * @param array $attributes
     */
    public function HtmlPurifier(array $attributes)
    {
        foreach ($attributes as $attribute) {
            $this->{$attribute} = HtmlPurifier::process($this->{$attribute});
        }
    }
}
