<?php

use yii\helpers\Html;
use frontend\modules\map\Map;

$img = (Yii::$app->language == 'uk-UA') ? '/images/ua_map_contact_page.jpg' : '/images/en_map_contact_page.png';

//
$urlMapResource = Map::getUrlListByType('resource');
$urlMapProjects = Map::getUrlListByType('project');
//
/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 *
 * @var $config_params \thread\modules\sys\modules\configs\components\ConfigsParams
 */
$params = Yii::$app->params;
$config_params = Yii::$app->param;
?>
<div class="row map_block" style="background: url(<?=$img?>) top center no-repeat;">
    <div class="static-btn-container" style="top: 20px;">
        <?= Html::a(Yii::t('front', 'resource potential'), $urlMapResource, [
            'class' => 'static-btn static-btn-resours'
        ])
        . Html::a(Yii::t('front', 'projects'), $urlMapProjects, [
            'class' => 'static-btn static-btn-project'
        ])
        ?>
    </div>
</div>
<div class="row page-contact-info">
    <div class="col-sm-12" style="padding: 0;">
        <aside class="col-md-3" style="padding-left: 0; padding-right: 0;">
            <div class="sidebar sidebar-address">
                <div class="site_title">
                    <?= Yii::t('front', 'us_contacts') ?>
                </div>
                <div class="site_address">
                    <?= $config_params->getByName('site_address') ?>
                </div>
                <div class="site_email">
                    <?= $config_params->getByName('site_email') ?>
                </div>
        </aside>

        <!-- main start -->
        <!-- ================ -->
        <div class="main col-md-6 space-bottom page-contact-form">
            <div class="col-md-12 page-contact-form-content">
                <p class="lead">
                    <?= \frontend\modules\page\models\StaticTextBlock::give_me('contact_text') ?>
                </p>

                <div class="alert alert-success hidden" id="MessageSent">
                    We have received your message, we will contact you very soon.
                </div>
                <div class="alert alert-danger hidden" id="MessageNotSent">
                    Oops! Something went wrong, please verify that you are not a robot or refresh the page and try
                    again.
                </div>
                <div class="contact-form">
                    <?= $this->render('parts/form', [
                        'model' => $form
                    ]) ?>
                </div>
            </div>
        </div>
        <!-- main end -->

        <!-- sidebar start -->
        <!-- ================ -->
        <aside class="col-md-3" style="padding-left: 0; padding-right: 0;">
            <div class="sidebar sidebar-social">
                <div class="site_title">
                    <?= Yii::t('front', 'uamap_into_social') ?>
                </div>
                <?= $this->render('parts/social-links') ?>
            </div>
        </aside>
        <!-- sidebar end -->
    </div>
</div>
