<?php
use recaptcha\ReCaptcha;
use yii\helpers\{
    Html, Url
};
use yii\bootstrap\ActiveForm;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */

$form = ActiveForm::begin([
    'action' => Url::toRoute(['/form/feedback/form/send'])
]);
?>
<div class="row">
    <div class="col-md-6">
        <div class="form-group has-feedback">
            <?= $form->field($model, 'user_name', [
                'template' => '{label}{input}<i class="fa fa-user form-control-feedback"></i>{error}{hint}'
            ])->textInput([
                'placeholder' => Yii::t('form', 'Enter your name')
            ])->label(false) ?>
        </div>
    </div>
    <div class="col-md-6">
        <div class="form-group has-feedback">
            <?= $form->field($model, 'email', [
                'template' => '{label}{input}<i class="fa fa-envelope form-control-feedback"></i>{error}{hint}'
            ])->textInput([
                'placeholder' => Yii::t('form', 'Enter your email')
            ])->label(false) ?>
        </div>
    </div>
</div>
<div class="form-group has-feedback">
    <?= $form->field($model, 'group_id', [
        'template' => '{label}{input}<i class="fa fa-navicon form-control-feedback"></i>{error}{hint}'
    ])->dropDownList(\frontend\modules\form\modules\feedback\models\Group::dropDownList(), [
        'placeholder' => Yii::t('form', 'Enter your subject')
    ])->label(false) ?>
</div>
<div class="form-group has-feedback">
    <?= $form->field($model, 'question', [
        'template' => '{label}{input}<i class="fa fa-pencil form-control-feedback"></i>{error}{hint}'
    ])->textarea([
        'placeholder' => Yii::t('faq', 'Enter your question'),
        'style' => 'resize: none; height:150px;'
    ])->label(false) ?>
</div>
<?= $form->field($model, 'reCaptcha')->label('')->widget(
    ReCaptcha::className(),
    [
        'id' => 'feedback-form-captcha',
        'render' => ReCaptcha::RENDER_EXPLICIT
    ]) ?>
<div style="text-align: center">
    <?= Html::submitButton(Yii::t('form', 'Feedback:FormButtonSubmit'), [
        'class' => 'submit-button btn btn-new',
        'style' => 'background-color: #ffffff;'
    ]) ?>
</div>
<?php ActiveForm::end(); ?>
