<?php

namespace frontend\modules\map;


use Yii;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;

/**
 * Class Library
 *
 * @package frontend\modules\map
 * @author Alla Kuzmenko
 * @copyright (c) 2017
 */
class Map extends \common\modules\map\Map
{
    /**
     * Number of elements in list
     * @var int
     */
    public $itemOnPage = 30;

    /**
     * @param $type
     * @return string
     */
    public static function getUrlListByType($type)
    {
        return Url::toRoute(["/map/list/map", 'type' => $type]);
    }

    /**
     * @param $file_name
     * @return null|string
     */
    public static function getImageLink($file_name)
    {
        $module = Yii::$app->getModule('map');;
        $path = $module->getItemUploadPath();
        $url = $module->getItemUploadUrl();

        return (!empty($file_name) && is_file($path . '/' . $file_name))
            ? $url . '/' . $file_name
            : null;
    }

    /**
     * @param $alias
     * @return null|string
     */
    /**
     * @param bool|false $scheme
     * @return string
     */
    public static function getItemUrl($alias, $scheme = false)
    {
        return Url::toRoute(['/map/item/view', 'alias' => $alias], $scheme);
    }

    /**
     * @param $params
     * @return string
     */
    public static function getUrlList($params = [])
    {
        return Url::toRoute(ArrayHelper::merge(['/map/list/list'], $params));
    }

    /**
     * @param $type
     * @return string
     */
    public static function getUrlTypeObjectListPage($type)
    {
        return Url::toRoute(['/map/list/type', 'type' => $type]);
    }

}
