<?php

namespace frontend\modules\map\models;

use yii\db\{
    ActiveRecord, ActiveQuery
};
//
use thread\app\model\interfaces\BaseFrontModel;
//
use common\modules\map\models\TypeLang;


/**
 * Class Type
 *
 * @package frontend\modules\map\models
 * @author Alla Kuzmenko
 * @copyright (c) 2017
 *
 *
 * @property \yii\db\ActiveQuery $lang
 */
class Type extends \common\modules\map\models\Type implements BaseFrontModel
{
    /**
     *
     * @return array
     */
    public function behaviors()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function scenarios()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function attributeLabels()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function rules()
    {
        return [];
    }

    /**
     * @return mixed
     */
    public static function find()
    {
        return parent::find()->innerJoinWith(["lang"])->enabled()->indexBy('id');
    }

    /**
     * @return mixed
     */
    public static function findBase()
    {
        return self::find()->orderBy(['position' => SORT_ASC]);
    }

    /**
     *
     * @param integer $id
     * @return ActiveRecord|null
     */
    public static function findById($id)
    {
        return self::findBase()->byID($id)->one();
    }

    /**
     *
     * @param string $alias
     * @return ActiveRecord|null
     */
    public static function findByAlias($alias)
    {
        return null;
    }


    /**
     *
     * @return string
     */
    public function getUrl($scheme = false)
    {
        return null;
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLang()
    {
        return $this->hasOne(TypeLang::class, ['rid' => 'id'])->asArray();
    }

    /**
     * @param $type
     * @return ActiveQuery
     */
    public static function findListByType(string $type)
    {
        return self::findBase()
            ->innerJoinWith(['area'])
            ->andWhere([self::tableName() . '.type_map' => $type])
            ->asArray()
            ->indexBy('id')
            ->all();
    }

    /**
     * @return ActiveQuery
     */
    public static function findList()
    {
        return self::findBase()
            ->innerJoinWith(['area'])
            ->asArray()
            ->all();
    }


    /**
     *
     * @return \yii\db\ActiveQuery
     */
    public function getArea()
    {
        return $this->hasMany(Area::class, ['id' => 'area_id'])
            ->viaTable(Item::tableName(), ['type_id' => 'id'])->orderBy([Area::tableName() . '.position' => SORT_ASC]);
    }
}