<?php

use yii\helpers\{
    Html, Url
};
use frontend\modules\map\Map;
use frontend\themes\defaults\assets\AppAsset;

$asset = AppAsset::register($this);
$urlMapResource = Map::getUrlListByType('resource');
$urlMapProjects = Map::getUrlListByType('project');
?>
<?= \thread\modules\seo\widgets\breadcrumbs\Breadcrumbs::widget([
    'links' => $this->context->breadcrumbs ?? []
]) ?>
<?= Html::tag('div', Yii::t('front', 'search for objects'), [
    'class' => 'title title-1'
]) ?>
<h1 class="page-title title-1" style="line-height: 1; margin: 5px;">
    <?= Yii::t('front', 'Search question') ?>:
    <span>«</span><?= $condition; ?><span>»</span>
</h1>
<div class="search-count" style="margin-bottom: 20px; font-size: 16px; margin-left: 5px;">
    <?= Yii::t('front', 'Found: {n} records', ['n' => $count]) ?>
</div>
<div class="col-md-12">
    <div class="static-btn-container" style="top: -165px;">
        <?= Html::a(Yii::t('front', 'resource potential'), $urlMapResource, [
            'class' => 'static-btn static-btn-resours'
        ])
        . Html::a(Yii::t('front', 'projects'), $urlMapProjects, [
            'class' => 'static-btn static-btn-project'
        ])
        ?>
    </div>
    <?php foreach ($items as $item) :
        echo $this->render('plist/list-item', ['model' => $item]);
    endforeach; ?>
</div>
<div class="clearfix"></div>
<div class="pages">
    <?=
    yii\widgets\LinkPager::widget([
        'pagination' => $pages,
        'registerLinkTags' => true,
        'nextPageLabel' => '❯',
        'prevPageLabel' => '❮',
    ]);
    ?>
</div>
