<?php
use yii\helpers\Html;

use frontend\modules\map\models\Type;
use frontend\modules\map\Map;
use frontend\modules\location\models\Region;

$types = Type::findListByType(Yii::$app->request->get('type', 0));
$regions = Region::findList();
$urlMapResource = Map::getUrlListByType('resource');
$urlMapProjects = Map::getUrlListByType('project');

?>
<div class="col-xs-12 text-center">
    <div class="main-map-container">
        <div class="static-btn-container">
            <?= Html::a(Yii::t('front', 'resource potential'), $urlMapResource, [
                'class' => 'static-btn static-btn-resours'
            ])
            . Html::a(Yii::t('front', 'projects'), $urlMapProjects, [
                'class' => 'static-btn static-btn-project'
            ])
            ?>
        </div>
        <div class="maps-action-elements">

            <?= (Yii::$app->request->get('type', 0))
                ? $this->render('parts/_list_filters', ['types' => $types, 'regions' => $regions])
                : Yii::t('front', 'Choose the map')
                . Html::a(Yii::t('front', 'resource potential'), Map::getUrlList(['type' => 'resource']), [
                    'class' => 'static-btn static-btn-resours'
                ])
                . Html::a(Yii::t('front', 'projects'), Map::getUrlList(['type' => 'project']), [
                    'class' => 'static-btn static-btn-project'
                ])
            ?>
        </div>
        <?php
        foreach ($models as $model) {
            echo '<h2>' . Html::a(Html::decode($model['lang']['title']), Map::getItemUrl($model['alias'])) . '</h2>';
        }
        ?>
    </div>
</div>
