<?php

use yii\helpers\Html;
use frontend\modules\map\Map;

$params = Yii::$app->request->get();
//HUCK
$p = $params;
unset($p['page']);
//HUCK
$start = (count($p) == 1) ? true : false;
//
if (isset($params['inv'])) {
    $investment = ['min' => $params['inv']['min'], 'max' => $params['inv']['max']];
} else {
    //Заглушка по требованию заказчика
    $investment['max'] = '100000000';
}
if (isset($params['power'])) {
    $powers = ['min' => $params['power']['min'], 'max' => $params['power']['max']];
} else {
    //Заглушка по требованию заказчика
    $powers['max'] = '1000000';
}
$heat_capacity['min'] = '0';
$heat_capacity['max'] = '1000000';
?>
<form id="filter">
    <button type="button" class="show-filters js-show-filter"></button>
    <div class="filters">
        <button type="button" class="close-filter"></button>
        <div class="filter-item-title">
            <i class="map-ico" aria-hidden="true"></i>
            <?= Yii::t('front', 'resources') ?>
        </div>
        <div class="scroll-block">
            <?php if (!empty($types)): ?>
                <div class="filter-item">
                    <div class="dropdown-filter">
                        <?php foreach ($types as $type_key => $type): ?>
                            <div>
                                <div class="filter-item-subtitle js-dropdown-toggle-by-click">
                                    <i class="implemented-projects" aria-hidden="true"
                                       style="background-color: <?= $type['color'] ?>"></i>
                                    <?= $type['lang']['title'] ?>
                                    <i class="caret-down arrow-up" aria-hidden="true"></i>
                                </div>
                                <div class="active dropdown-list js-dropdown-list">
                                    <div class="projects-filter">
                                        <ul class="list-group">
                                            <?php
                                            foreach ($type['area'] as $key => $area):
                                                $name = 'area' . $area['id'] . 'type' . $type['id'];
                                                ?>
                                                <li class="list-group-item">
                                                    <?= Html::label($area['lang']['title'], $name,
                                                        ['style' => 'background-image: url(\'' . Map::getImageLink($area['image_link']) . '\')',
                                                            'class' => 'projects-filter-label'])
                                                    . Html::input('checkbox', 'area[' . $type['id'] . '][' . $area['id'] . ']', $area['id'], [
                                                        'id' => $name,
                                                        'checked' => (isset($params['area'][$type['id']][$area['id']]) || $start) ? true : false
                                                    ])
                                                    . Html::label('', $name, [
                                                        'class' => 'checkbox'
                                                    ]) ?>
                                                </li>
                                            <?php endforeach; ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; ?>
                    </div>
                </div>
            <?php endif; ?>
            <div class="filter-item filter-by-parameters">
                <div class="filter-item-title js-dropdown-toggle-by-click">
                    <i class="map-ico" aria-hidden="true"></i>
                    <?= Yii::t('front', 'filters') ?>
                    <i class="caret-down" aria-hidden="true"></i>
                </div>
                <div class="dropdown-filter js-dropdown-list">
                    <?php if (!empty($regions)): ?>
                        <div class="bordered">
                            <div class="filter-by-parameters-subtitle js-dropdown-toggle">
                                <?= Yii::t('front', 'by region') ?>
                            </div>
                            <div class="select-container">
                                <select data-select="region" class="select-dropdown" name="region">
                                    <?php
                                    echo Html::tag('option', Yii::t('front', 'All'),
                                        ['value' => 'all', 'selected' => true]);
                                    foreach ($regions as $region) {
                                        echo Html::tag('option', $region['lang']['title'], ['value' => (string)$region['id']]);
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>
                    <?php endif; ?>
                    <div class="bordered">
                        <div class="filter-by-parameters-subtitle js-dropdown-toggle">
                            <?= Yii::t('front', 'By electric power') ?>
                            <span class="units">(<?= Yii::t('front', 'W') ?>)</span>
                        </div>
                        <div class="rangeslider" data-range="power">
                            <div class="row">
                                <div class="col-xs-6">
                                    <?= Html::label(Yii::t('front', 'from') . ':', 'amount-min') ?>
                                    <input type="text" id="amount-min" class="minVal form-control"
                                           value="<?= $powers['min'] ?>" name="power[min]">
                                </div>
                                <div class="col-xs-6">
                                    <?= Html::label(Yii::t('front', 'to') . ':', 'amount-max') ?>
                                    <input type="text" id="amount-max" class="maxVal form-control"
                                           value="<?= $powers['max'] ?>" name="power[max]">
                                </div>
                            </div>
                            <div id="slider-range" class="js-slider" data-min="<?= $powers['min'] ?>"
                                 data-max="<?= $powers['max'] ?>"></div>
                            <div class="row">
                                <div class="col-xs-6">
                                    <span class="slider-range-label"><?= $powers['min'] ?></span>
                                </div>
                                <div class="col-xs-6 text-right">
                                    <span class="slider-range-label"><?= $powers['max'] ?></span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php if (Yii::$app->request->get('type', 'project') == 'project') : ?>
                        <div class="bordered">
                            <div class="filter-by-parameters-subtitle js-dropdown-toggle">
                                <?= Yii::t('front', 'For the oath of integration')
                                . Html::tag('span', '(' . Yii::t('front', 'uah') . ')', ['class' => 'units']) ?>
                            </div>
                            <div class="rangeslider" data-range="investment">
                                <div class="row">
                                    <div class="col-xs-6">
                                        <?= Html::label(Yii::t('front', 'from') . ':', 'amount-min1') ?>
                                        <input data-investmentMin type="text" id="amount-min1" name="inv[min]"
                                               class="minVal form-control"
                                               value="<?= $investment['min'] ?>">
                                    </div>
                                    <div class="col-xs-6">
                                        <?= Html::label(Yii::t('front', 'to') . ':', 'amount-max2') ?>
                                        <input data-investmentMax type="text" id="amount-max1" name="inv[max]"
                                               class="maxVal form-control"
                                               value="<?= $investment['max'] ?>">
                                    </div>
                                </div>

                                <div id="slider-range1" class="js-slider" data-min="<?= $investment['min'] ?>"
                                     data-max="<?= $investment['max'] ?>"></div>
                                <div class="row">
                                    <div class="col-xs-6">
                                        <span class="slider-range-label"><?= $investment['min'] ?></span>
                                    </div>
                                    <div class="col-xs-6 text-right">
                                        <span class="slider-range-label"><?= $investment['max'] ?></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php else: ?>
                        <div class="bordered">
                            <div class="filter-by-parameters-subtitle js-dropdown-toggle">
                                <?= Yii::t('front', 'For the heat capacity') ?>
                            </div>
                            <div class="rangeslider" data-range="heat_capacity">
                                <div class="row">
                                    <div class="col-xs-6">
                                        <?= Html::label(Yii::t('front', 'from') . ':', 'amount-min3') ?>
                                        <input data-heat_capacityMin type="text" id="amount-min3" name="cap[min]"
                                               class="minVal form-control"
                                               value="<?= $heat_capacity['min'] ?>">
                                    </div>
                                    <div class="col-xs-6">
                                        <?= Html::label(Yii::t('front', 'to') . ':', 'amount-max3') ?>
                                        <input data-heat_capacityMax type="text" id="amount-max3" name="cap[max]"
                                               class="maxVal form-control"
                                               value="<?= $heat_capacity['max'] ?>">
                                    </div>
                                </div>

                                <div id="slider-range3" class="js-slider" data-min="<?= $heat_capacity['min'] ?>"
                                     data-max="<?= $heat_capacity['max'] ?>"></div>
                                <div class="row">
                                    <div class="col-xs-6">
                                        <span class="slider-range-label"><?= $heat_capacity['min'] ?></span>
                                    </div>
                                    <div class="col-xs-6 text-right">
                                        <span class="slider-range-label"><?= $heat_capacity['max'] ?></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="filter-bnt-container text-center">
            <?= Html::button(Yii::t('front', 'filter out'), ['class' => 'btn filter-btn', 'type' => 'submit'])
            . Html::a(Yii::t('front', 'reset'), Map::getUrlTypeObjectListPage(($params['type']) ?? Map::TYPE_1), ['class' => 'btn filter-btn']) ?>
        </div>
    </div>
</form>