<?php

use yii\helpers\Html;
use frontend\modules\map\Map;

$get_params = Yii::$app->request->get();
if (isset($get_params['area'])) {
    $get_params['area'] = explode(',', $get_params['area']);
    $script = <<< JS
    $('#filter').click();
JS;
    $this->registerJs($script, yii\web\View::POS_READY);
}
//Заглушка по требованию заказчика
$investment['max'] = '100000000';
//Заглушка по требованию заказчика
$powers['max'] = '1000000';
$heat_capacity['min'] = '0';
$heat_capacity['max'] = '1000000';
?>
<button type="button" class="show-filters js-show-filter"></button>
<div class="filters">
    <button type="button" class="close-filter"></button>
    <div class="filter-item-title">
        <i class="map-ico" aria-hidden="true"></i>
        <?= (isset($_GET['type']) && $_GET['type'] == 'project') ?
            Yii::t('front', 'projects')
            :
            Yii::t('front', 'resources')
        ?>
    </div>
    <div class="scroll-block">
        <?php if (!empty($types)): ?>
            <div class="filter-item">
                <div class="dropdown-filter">
                    <?php foreach ($types as $type_key => $type): ?>
                        <div>
                            <div class="filter-item-subtitle js-dropdown-toggle-by-click">
                                <i class="implemented-projects" aria-hidden="true"
                                   style="background-color: <?= $type['color'] ?>"></i>
                                <?= $type['lang']['title'] ?>
                                <i class="caret-down arrow-up" aria-hidden="true"></i>
                            </div>
                            <div class="active dropdown-list js-dropdown-list">
                                <div class="projects-filter">
                                    <ul class="list-group">
                                        <?php
                                        foreach ($type['area'] as $area):
                                            $name = 'area' . $area['id'] . 'type' . $type['id'];
                                            ?>
                                            <li class="list-group-item">
                                                <?= Html::label($area['lang']['title'], $name,
                                                    ['style' => 'background-image: url(\'' . Map::getImageLink($area['image_link']) . '\')',
                                                        'class' => 'projects-filter-label'])
                                                . Html::input('checkbox', 'area[' . $type['id'] . '][' . $area['id'] . ']', $area['id'], [
                                                    'id' => $name,
                                                    'checked' => ((!isset($get_params['area'])) || in_array($area['id'], $get_params['area'])) ? true : false,
                                                    'data-type' => $type['id'],
                                                    'data-direction' => $area['id']
                                                ])
                                                . Html::label('', $name, [
                                                    'class' => 'checkbox'
                                                ]) ?>
                                            </li>
                                        <?php endforeach; ?>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
        <?php endif; ?>
        <div class="filter-item filter-by-parameters">
            <div class="filter-item-title js-dropdown-toggle-by-click">
                <i class="map-ico" aria-hidden="true"></i>
                <?= Yii::t('front', 'filters') ?>
                <i class="caret-down" aria-hidden="true"></i>
            </div>
            <div class="dropdown-filter js-dropdown-list">
                <?php if (!empty($regions)): ?>
                    <div class="bordered">
                        <div class="filter-by-parameters-subtitle js-dropdown-toggle">
                            <?= Yii::t('front', 'by region') ?>
                        </div>
                        <div class="select-container">
                            <select data-select="region" class="select-dropdown">
                                <?php
                                echo Html::tag('option', Yii::t('front', 'All'),
                                    ['value' => '', 'selected' => true]);
                                foreach ($regions as $region) {
                                    echo Html::tag('option', $region['lang']['title'], ['value' => (string)$region['id']]);
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if (Yii::$app->request->get('type', 'project') == 'project') : ?>
                    <div class="bordered">
                        <div class="filter-by-parameters-subtitle js-dropdown-toggle">
                            <?= Yii::t('front', 'By electric power') ?>
                            <span class="units"> (<?= Yii::t('front', 'W') ?>)</span>
                        </div>
                        <div class="rangeslider" data-range="power">
                            <div class="row">
                                <div class="col-xs-6">
                                    <?= Html::label(Yii::t('front', 'from') . ':', 'amount-min') ?>
                                    <input type="text" id="amount-min" class="minVal form-control"
                                           value="<?= $powers['min'] ?>">
                                </div>
                                <div class="col-xs-6">
                                    <?= Html::label(Yii::t('front', 'to') . ':', 'amount-max') ?>
                                    <input type="text" id="amount-max" class="maxVal form-control"
                                           value="<?= $powers['max'] ?>">
                                </div>
                            </div>

                            <div id="slider-range" class="js-slider" data-min="<?= $powers['min'] ?>"
                                 data-max="<?= $powers['max'] ?>"></div>
                            <div class="row">
                                <div class="col-xs-6">
                                    <span class="slider-range-label"><?= $powers['min'] ?></span>
                                </div>
                                <div class="col-xs-6 text-right">
                                    <span class="slider-range-label"><?= $powers['max'] ?></span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="bordered">
                        <div class="filter-by-parameters-subtitle js-dropdown-toggle">
                            <?= Yii::t('front', 'For the oath of integration')
                            . Html::tag('span', ' (' . Yii::t('front', 'uah') . ')', ['class' => 'units uah']) ?>
                        </div>
                        <div class="rangeslider" data-range="investment">
                            <div class="row">
                                <div class="col-xs-6">
                                    <?= Html::label(Yii::t('front', 'from') . ':', 'amount-min1') ?>
                                    <input data-investmentMin type="text" id="amount-min1"
                                           class="minVal form-control"
                                           value="<?= $investment['min'] ?>">
                                </div>
                                <div class="col-xs-6">
                                    <?= Html::label(Yii::t('front', 'to') . ':', 'amount-max1') ?>
                                    <input data-investmentMax type="text" id="amount-max1"
                                           class="maxVal form-control"
                                           value="<?= $investment['max'] ?>">
                                </div>
                            </div>

                            <div id="slider-range1" class="js-slider" data-min="<?= $investment['min'] ?>"
                                 data-max="<?= $investment['max'] ?>"></div>
                            <div class="row">
                                <div class="col-xs-6">
                                    <span class="slider-range-label">
                                        <?= $investment['min'] ?>
                                    </span>
                                </div>
                                <div class="col-xs-6 text-right">
                                    <span class="slider-range-label">
                                        <?= $investment['max'] ?>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="bordered">
                        <div class="filter-by-parameters-subtitle js-dropdown-toggle">
                            <?= Yii::t('front', 'For the heat capacity1') ?>
                            <span class="units"> (<?= Yii::t('front', 'W') ?>)</span>
                        </div>
                        <div class="rangeslider" data-range="heat_capacity">
                            <div class="row">
                                <div class="col-xs-6">
                                    <?= Html::label(Yii::t('front', 'from') . ':', 'amount-min3') ?>
                                    <input data-heat_capacityMin type="text" id="amount-min3"
                                           class="minVal form-control"
                                           value="<?= $heat_capacity['min'] ?>">
                                </div>
                                <div class="col-xs-6">
                                    <?= Html::label(Yii::t('front', 'to') . ':', 'amount-max3') ?>
                                    <input data-heat_capacityMax type="text" id="amount-max3"
                                           class="maxVal form-control"
                                           value="<?= $heat_capacity['max'] ?>">
                                </div>
                            </div>

                            <div id="slider-range3" class="js-slider" data-min="<?= $heat_capacity['min'] ?>"
                                 data-max="<?= $heat_capacity['max'] ?>"></div>
                            <div class="row">
                                <div class="col-xs-6">
                                    <span class="slider-range-label"><?= $heat_capacity['min'] ?></span>
                                </div>
                                <div class="col-xs-6 text-right">
                                    <span class="slider-range-label"><?= $heat_capacity['max'] ?></span>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php else: ?>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="filter-bnt-container text-center">
        <?= Html::button(Yii::t('front', 'show on the map'), ['class' => 'btn filter-btn', 'id' => 'filter']) ?>
    </div>
</div>