<?php

use yii\helpers\{
    ArrayHelper, Html
};

use frontend\modules\map\models\Type;
use frontend\modules\map\Map;
use frontend\modules\location\models\Region;
use frontend\themes\defaults\assets\AppAssetMap;

$bundle = AppAssetMap::register($this);
$this->registerJsFile($bundle->baseUrl . '/js/select2.js');

$types = Type::findListByType(Yii::$app->request->get('type'));
$regions = Region::findList();
$powers = ArrayHelper::map($models, 'electric_power', 'electric_power');
$investment = ArrayHelper::map($models, 'investment', 'investment');
$powers = [
    'min' => (!empty($powers)) ? min($powers) : 0,
    'max' => (!empty($powers)) ? max($powers) : 0
];
$investment = [
    'min' => (!empty($investment)) ? min($investment) : 0,
    'max' => (!empty($investment)) ? max($investment) : 0
];
$urlMapResource = Map::getUrlListByType('resource');
$urlMapProjects = Map::getUrlListByType('project');
//
echo \thread\modules\seo\widgets\breadcrumbs\Breadcrumbs::widget([
    'links' => $this->context->breadcrumbs ?? []
]);
?>
<div class="maps-action-elements position-in-text">
    <?= $this->render('parts/_list_filters', [
        'types' => $types,
        'regions' => $regions,
        'investment' => $investment,
        'powers' => $powers,
    ]);
    ?>
</div>
<?= Html::tag('h1', Yii::t('front', 't_' . $_GET['type']) ?? '', [
    'class' => 'page-title title-1'
]); ?>
<div class="col-md-12">
    <div class="static-btn-container" style="top: -85px;">
        <?= Html::a(Yii::t('front', 'resource potential'), $urlMapResource, [
            'class' => 'static-btn static-btn-resours'
        ])
        . Html::a(Yii::t('front', 'projects'), $urlMapProjects, [
            'class' => 'static-btn static-btn-project'
        ])
        ?>
    </div>
    <?php
    foreach ($models as $model):
        echo $this->render('plist/list-item', [
            'model' => $model,
        ]);
    endforeach;
    ?>
</div>
<div class="clearfix"></div>
<div class="pages">
    <?=
    yii\widgets\LinkPager::widget([
        'pagination' => $pages,
        'registerLinkTags' => true,
        'nextPageLabel' => '❯',
        'prevPageLabel' => '❮',
    ]);
    ?>
</div>
<style>
    .container {
        position: relative;
    }
</style>