<?php

namespace frontend\modules\menu\widgets\menu;

use thread\app\base\widgets\Widget;
//
use frontend\modules\menu\models\{
    Menu as ModelMenu, MenuItem
};
use thread\app\helpers\tree\TreeHelper;

/**
 * Class Menu
 *
 * @package frontend\modules\menu\widgets\menu
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Menu extends Widget
{
    /**
     * @var string
     */
    public $view = 'index';

    /**
     * @var string
     */
    public $name = 'menu';
    /**
     * @var string
     */
    public $alias = 'header';
    /**
     * @var null
     */
    protected $items = null;

    /**
     *
     */
    public function init()
    {
        $menu = ModelMenu::findByAlias($this->alias)->asArray()->one();
        if ($menu !== null) {
            $this->items = TreeHelper::getTree($menu['id'], MenuItem::class);
        }
    }

    /**
     *
     */
    public function run()
    {
        if ($this->items !== null) {
            return $this->render($this->view, [
                'items' => $this->items,
            ]);
        }
    }
}