<?php

use yii\helpers\Html;

/**
 * @var $items \frontend\modules\menu\models\MenuItem[]
 * @var $item \frontend\modules\menu\models\MenuItem
 */
echo Html::beginTag('ul', [
    'class' => 'nav navbar-nav mobile-nav'
]);
//
foreach ($items as $k => $item):
    if ($item['level'] == 0):
        $branch = frontend\modules\menu\models\MenuItem::getBranchById($item['id']);
        $subMenu = (is_array($branch) && count($branch) > 0) ? true : false;
        $icon = ($subMenu) ? '<i class="caret-down arrow-right hide-on-lg" aria-hidden="true"></i>' : '';
        //
        echo Html::beginTag('li')
            . Html::a($item['lang']['title'] . $icon, $item->getLink(), [
                'target' => $item->getTarget(),
                'class' => ($subMenu) ? 'js-m-dropdown' : ''
            ]);
        //
        if ($subMenu):
            echo Html::beginTag('ul', ['class' => 'second-dropdown-list']);
            //
            foreach ($branch as $bitem):
                echo Html::tag('li', Html::a($bitem['lang']['title'], $bitem->getLink(), [
                    'target' => $bitem->getTarget()
                ]), ['class' => '']);
            endforeach;
            echo Html::endTag('ul');
        endif;
        //
        echo Html::endTag('li');
    endif;
endforeach;
//
echo Html::endTag('ul');