<?php

use yii\helpers\Html;
use thread\app\web\View;
use frontend\modules\news\widgets\LatestNews\LatestNews;
use frontend\components\ImageResizer;
use thread\modules\seo\widgets\breadcrumbs\Breadcrumbs;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 *
 * @var $model \frontend\modules\news\models\Article
 */
$this->title = $model['lang']['title'];

//$image = $model->getImageLink();
$image = ImageResizer::getThumb($model->getImagePath(), 750, 500);
$link = $model->getUrl();
if ($image === null) {
    $image = '/images/blog-1.jpg';
}
?>
<?= Breadcrumbs::widget([
    'links' => $this->context->breadcrumbs ?? []
]) ?>

<article class="blogpost full">
    <div class="blogpost-content">
        <div class="image">
            <?= Html::img($image, [
                'alt' => $model['lang']['title'],
            ]) ?>
        </div>

        <div class="post-info" style="overflow: hidden;">
            <span class="post-date">
                <?= $model->getPublishedTime() ?>
            </span>
        </div>
        <?= Html::tag('h1', $model['lang']['title'], [
            'class' => 'page-title news-article-title',
        ]) ?>

        <?= $model['lang']['content'] ?>

    </div>
    <footer class="clearfix"></footer>
</article>
