<?php
use yii\helpers\Html;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 *
 * @var $article \frontend\modules\news\models\Article
 */
$image = $article->getImageLink();
$link = $article->getUrl();
if ($image === null) {
    $image = '/images/blog-1.jpg';
}
?>

<article class="blogpost">
    <header>
        <div class="overlay-container">
            <?= Html::img($image, [
                'alt' => $article['lang']['title'],
            ]) ?>
            <?= Html::a('<i class="fa fa-link"></i>', $link, [
                'class' => 'overlay-link'
            ]) ?>
        </div>
        <h2><?= Html::a(Html::encode($article['lang']['title']), $link) ?></h2>

        <div class="post-info">
            <span class="post-date">
                <i class="icon-calendar"></i>
                <?= $article->getPublishedTime() ?>
            </span>
        </div>
    </header>
    <div class="blogpost-content">
        <?= $article['lang']['description'] ?>
    </div>
    <footer class="clearfix">
        <div class="link pull-right">
            <i class="icon-link"></i>
            <?= Html::a(Yii::t('news', 'More'), $article->getUrl()) ?>
        </div>
    </footer>
</article>