<?php

namespace frontend\modules\page\models;

use yii\helpers\Url;
//
use thread\app\model\interfaces\BaseFrontModel;
use thread\modules\seo\interfaces\{
    SeoFrontModel
};

/**
 * Class Page
 *
 * @package frontend\modules\page\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Page extends \thread\modules\page\models\Page implements BaseFrontModel, SeoFrontModel
{
    const RESULT_PAGE_ID = 11;

    /**
     *
     * @return array
     */
    public function behaviors()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function scenarios()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function attributeLabels()
    {
        return [];
    }

    /**
     *
     * @return array
     */
    public function rules()
    {
        return [];
    }

    /**
     * @return mixed
     */
    public static function find()
    {
        return parent::find()->enabled();
    }

    /**
     * @return mixed
     */
    public static function findBase()
    {
        return parent::find();
    }

    /**
     * @param $id
     * @return mixed
     */
    public static function findById($id)
    {
        return self::find()->byId($id);
    }

    /**
     * @param $alias
     * @return mixed
     */
    public static function findByAlias($alias)
    {
        return self::find()->byAlias($alias);
    }

    /**
     * @return mixed
     */
    public static function findSeo()
    {
        return self::find();
    }

    /**
     * @return mixed
     */
    public static function findSeoImage()
    {
        return self::find();
    }

    /**
     * @param $id
     * @return mixed
     */
    public static function getById($id)
    {
        return self::findById($id)->one();
    }

    /**
     * @param $alias
     * @return mixed
     */
    public static function getByAlias($alias)
    {
        return self::findByAlias($alias)->one();
    }

    /**
     * @return mixed
     */
    public static function getAllWithLabel()
    {
        return self::find()->all();
    }

    /**
     * Url route to view particular page
     * @param null $schema
     * @return string
     */
    public function getUrl($schema = null)
    {
        return Url::toRoute(['/page/page/view', 'alias' => $this->alias], $schema);
    }

    /**
     * @return mixed
     */
    public static function getPageResult()
    {
        return self::find()->byId(self::RESULT_PAGE_ID)->asArray()->one();
    }
}
