<?php

namespace frontend\modules\partners\widgets;

use yii\helpers\Html;
//
use thread\app\base\widgets\Widget;
//
use frontend\modules\partners\models\Item as MainModel;
use frontend\modules\partners\Partners as MainModule;

/**
 * Class Partners
 *
 * @package frontend\modules\partners\widgets
 * @author Alla Kuzmenko
 * @copyright (c), Thread
 */
class Partners extends Widget
{

    /**
     * @var null
     */
    protected $items = null;

    /**
     *
     */
    public function init()
    {
        $this->items = MainModel::findList();
    }

    /**
     *
     */
    public function run()
    {
        if ($this->items !== null) {
            $result = '';
            foreach ($this->items as $item) {
                $result .= Html::beginTag('div', ['class' => 'col-sm-2'])
                    . Html::a(Html::img(MainModule::getImageLinkForItem($item['image_link']), [
                        'class' => 'img-responsive',
                        'alt' => Html::decode($item['lang']['title'])
                    ]), $item['site_link'], ['class' => 'footer-logo'])
                    //. Html::tag('div', Html::decode($item['lang']['title']), ['class' => 'footer-sm-text'])
                    . Html::endTag('div');
            }
            return $result;
        } else {
            return false;
        }
    }
}