<?php

namespace frontend\modules\user;

use yii\helpers\{
    ArrayHelper, Url
};

/**
 * Class User
 *
 * @package frontend\modules\user
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class User extends \thread\modules\user\User
{
    public $username_attribute = 'email';

    /**
     *
     */
    public function init()
    {
        parent::init();

        $this->params = ArrayHelper::merge($this->params, [
            'page' => [
                'policy' => ['/page/page/view', 'alias' => 'policy'],
                'privacy-policy' => ['/page/page/view', 'alias' => 'privacy-policy'],
                'customer-agreement' => ['/page/page/view', 'alias' => 'license-agreement'],
            ],
            'login' => [
                'index' => ['/user/login/index'],
                'redirect-after-login' => ['/home/home/index'],
                'redirect-if-guest' => ['/home/home/index'],
            ],
            'logout' => [
                'index' => ['/user/login/logout'],
                'redirect-after-logout' => ['/home/home/index']
            ],
            'register' => [
                'index' => ['/user/register/index'],
                'autologin' => ['/'],
            ],
            'reset' => [
                'index' => ['/user/password/request-reset'],
                'reset' => ['/user/password/reset'],
                'change' => ['/user/password/change'],
            ],
            'profile' => [
                'index' => ['/user/profile/index'],
                'update' => ['/user/profile/update'],
            ]
        ]);
    }

    /**
     * @param $type
     * @return string
     */
    public static function getUrlLogout()
    {
        return Url::toRoute(["/user/logout/index"]);
    }
}
