<?php

namespace frontend\modules\user\controllers;

use Yii;
use yii\filters\AccessControl;
//
use frontend\components\BaseUserSigInController;

/**
 * Class UserController
 *
 * @package frontend\modules\user\controllers
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class LogoutController extends BaseUserSigInController
{
    public $title = "Logout";
    public $defaultAction = 'index';
    public $enableCsrfValidation = false;

    /**
     * @return array
     */
    public function behaviors()
    {
        return [
            'AccessControl' => [
                'class' => AccessControl::class,
                'rules' => [
                    [
                        'allow' => true,
                        'actions' => ['index'],
                        'roles' => ['?'],
                    ],
                    [
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                    [
                        'allow' => false,
                    ],
                ],
            ],
        ];
    }

    /**
     * @return string
     */
    public function actionIndex()
    {
        /**
         * @var $module \frontend\modules\user\User
         */
        $module = $this->module;

        Yii::$app->getUser()->logout();
        return $this->redirect($module->params['logout']['redirect-after-logout']);
    }
}
