<?php

use yii\helpers\{
    Html, Url
};
use yii\widgets\ActiveForm;

/**
 * @var \frontend\modules\user\models\form\SignInForm $model
 */
$this->title = Yii::t('user', 'Login');
$this->params['breadcrumbs'][] = $this->title;

?>
<div class="main object-non-visible animated object-visible fadeInUpSmall" data-animation-effect="fadeInUpSmall"
     data-effect-delay="100">
    <div class="form-block center-block p-30 light-gray-bg border-clear">
        <?= Html::tag('h2', $this->title, [
            'class' => 'title'
        ]) ?>
        <?php $form = ActiveForm::begin([
            'action' => Url::toRoute(['/user/login/index']),
            'options' => [
                'class' => 'form-horizontal'
            ]
        ]) ?>
        <div class="form-group has-feedback">
            <?= Html::label($model->getAttributeLabel($model->getUsernameAttribute()), null, [
                'class' => 'col-sm-3 control-label'
            ]) ?>
            <div class="col-sm-8">
                <?= $form->field($model, $model->getUsernameAttribute())->textInput([
                    'class' => 'form-control',
                    'placeholder' => 'User Name'
                ])->label(false) ?>
                <i class="fa fa-user form-control-feedback"></i>
            </div>
        </div>
        <div class="form-group has-feedback">
            <?= Html::label($model->getAttributeLabel('password'), null, [
                'class' => 'col-sm-3 control-label'
            ]) ?>
            <div class="col-sm-8">
                <?= $form->field($model, 'password')->passwordInput([
                    'class' => 'form-control',
                    'placeholder' => $model->getAttributeLabel('password')
                ])->label(false) ?>
                <i class="fa fa-lock form-control-feedback"></i>
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-3 col-sm-8">
                <div class="checkbox">
                    <label>
                        <?= $form->field($model, 'rememberMe')->checkbox() ?>
                    </label>
                </div>
                <?= Html::submitButton(Yii::t('user', 'Login') . '<i class="fa fa-user"></i>', [
                    'class' => 'btn btn-group btn-default btn-animated',
                    'name' => 'login-button'
                ]) ?>
                <ul>
                    <li>
                        <?= Html::a(Yii::t('user', 'Forgot your password?'), ['/user/password/request-reset']) ?>
                    </li>
                </ul>
            </div>
        </div>
        <?php ActiveForm::end(); ?>
    </div>
    <p class="text-center space-top">
        <?= Yii::t('user', 'Don\'t have an account yet?') ?>
        <?= Html::a(Yii::t('user', 'Sign Up'), ['/user/register/index']) ?>
    </p>
</div>