<?php

/**
 * @var $this yii\web\View
 * @var $form yii\bootstrap\ActiveForm
 * @var $model \frontend\modules\user\models\form\PasswordResetRequestForm
 */

use yii\helpers\{
    Html, Url
};
use yii\bootstrap\ActiveForm;

$this->title = Yii::t('user', 'Request password reset');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-request-password-reset">
    <h1><?= Html::encode($this->title) ?></h1>

    <?= Html::tag('p', Yii::t('user', 'Please fill out your email. A link to reset password will be sent there.')) ?>

    <div class="row">
        <div class="col-lg-5">
            <?php $form = ActiveForm::begin([
                'id' => 'request-password-reset-form',
                'action' => Url::toRoute('/user/password/request-reset'),
            ]); ?>

            <?= $form->field($model, 'email')->textInput(['autofocus' => true]) ?>

            <div class="form-group">
                <?= Html::submitButton(Yii::t('app', 'Send'), ['class' => 'btn btn-primary']) ?>
            </div>

            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>
