<?php

use yii\widgets\ActiveForm;
use yii\helpers\{
    Url, Html
};
use yii\bootstrap\Html as bHtml;

//$this->title = Yii::t('user', 'Edit profile');
/**
 * @var \frontend\modules\user\models\Profile $model
 */
$form = ActiveForm::begin([
    'action' => Url::toRoute(['/user/profile/update']),
]); ?>

    <div class="row">
        <div class="col-md-6 col-md-offset-3 profile_form">
            <div class="row">
                <div class="col-sm-12 profile_form_title form-group">
                    <?= Yii::t('user', 'Profile') ?>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6 form-group">
                    <div class="col-sm-12 form-group">
                        <?= $form->field($model, 'first_name') ?>
                    </div>
                </div>
                <div class="col-sm-6 form-group">
                    <div class="col-sm-12 form-group">
                        <?= $form->field($model, 'last_name') ?>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6 form-group">
                    <div class="col-sm-12 form-group">
                        <?= $form->field($model, 'phone')->widget(\yii\widgets\MaskedInput::className(), [
                            'mask' => '+38(999) 999-99-99',
                        ]) ?>
                    </div>
                </div>
                <div class="col-sm-6 form-group">
                    <div class="col-sm-12 form-group">
                        <div class="form-group field-profile-first_name">
                            <label class="control-label">
                                <?= $model['user']->getAttributeLabel('email') ?>
                            </label>
                            <input type="text" class="form-control"
                                   value="<?= $model['user']['email'] ?>" readonly>

                            <div class="help-block"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6 form-group">
                    <div class="col-sm-12 form-group">
                        <?= $form->field($model, 'company') ?>
                    </div>
                </div>
                <div class="col-sm-6 form-group">
                    <div class="col-sm-12 form-group">
                        <?= $form->field($model, 'website') ?>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12 form-group" style="text-align: center">
                    <?= Html::submitButton(Yii::t('app', 'Save'), ['class' => 'btn btn-primary']) ?>
                    <?= Html::a(Yii::t('app', 'Cancel'), ['/user/profile/index'], ['class' => 'btn btn-cancel']) ?>
                </div>
            </div>
        </div>
    </div>
<?php
ActiveForm::end();
