<?php

use yii\helpers\{
    Html, Url
};
use yii\widgets\ActiveForm;

/**
 * @var $model \frontend\modules\user\models\form\CreateForm
 * @var $module \frontend\modules\user\User
 */
$this->title = Yii::t('user', 'Register');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="main object-non-visible animated object-visible fadeInUpSmall" data-animation-effect="fadeInUpSmall"
     data-effect-delay="100">
    <div class="form-block center-block p-30 light-gray-bg border-clear">
        <?= Html::tag('h2', $this->title, [
            'class' => 'title'
        ]) ?>
        <?php $form = ActiveForm::begin([
            'action' => Url::toRoute(['/user/register/index']),
            'options' => [
                'class' => 'form-horizontal',
                'role' => 'form',
            ]
        ]) ?>
        <div class="form-group has-feedback">
            <?= Html::label($model->getAttributeLabel('first_name') . ' <span class="text-danger small">*</span>', null, [
                'class' => 'col-sm-3 control-label'
            ]) ?>

            <div class="col-sm-8">
                <?= $form->field($model, 'first_name')->textInput([
                    'class' => 'form-control',
                    'placeholder' => $model->getAttributeLabel('first_name')
                ])->label(false) ?>
                <i class="fa fa-pencil form-control-feedback"></i>
            </div>
        </div>
        <div class="form-group has-feedback">
            <?= Html::label($model->getAttributeLabel('email') . ' <span class="text-danger small">*</span>', null, [
                'class' => 'col-sm-3 control-label'
            ]) ?>

            <div class="col-sm-8">
                <?= $form->field($model, 'email')->textInput([
                    'class' => 'form-control',
                    'placeholder' => $model->getAttributeLabel('email')
                ])->label(false) ?>
                <i class="fa fa-envelope form-control-feedback"></i>
            </div>
        </div>
        <div class="form-group has-feedback">
            <?= Html::label($model->getAttributeLabel('password') . ' <span class="text-danger small">*</span>', null, [
                'class' => 'col-sm-3 control-label'
            ]) ?>

            <div class="col-sm-8">
                <?= $form->field($model, 'password')->passwordInput([
                    'class' => 'form-control',
                    'placeholder' => $model->getAttributeLabel('password')
                ])->label(false) ?>
                <i class="fa fa-lock form-control-feedback"></i>
            </div>
        </div>
        <div class="form-group has-feedback">
            <?= Html::label($model->getAttributeLabel('password_confirmation') . ' <span class="text-danger small">*</span>', null, [
                'class' => 'col-sm-3 control-label'
            ]) ?>

            <div class="col-sm-8">
                <?= $form->field($model, 'password_confirmation')->passwordInput([
                    'class' => 'form-control',
                    'placeholder' => $model->getAttributeLabel('password_confirmation')
                ])->label(false) ?>
                <i class="fa fa-lock form-control-feedback"></i>
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-3 col-sm-8">
                <div class="checkbox">
                    <label>
                        <input type="checkbox" required=""><?= Yii::t('user', 'Accept our') ?>
                        <?= Html::a(Yii::t('user', 'Policy'), $module->params['page']['policy']) ?>
                        ,
                        <?= Html::a(Yii::t('user', 'Customer agreement'), $module->params['page']['customer-agreement']) ?>
                        ,
                        <?= Html::a(Yii::t('user', 'Privacy policy'), $module->params['page']['privacy-policy']) ?>
                    </label>
                </div>
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-3 col-sm-8">
                <?= Html::submitButton(Yii::t('user', 'Sign Up') . '<i class="fa fa-check"></i>', [
                    'class' => 'btn btn-group btn-default btn-animated',
                    'name' => 'login-button'
                ]) ?>
            </div>
        </div>
        <?php ActiveForm::end(); ?>
    </div>
    <p class="text-center space-top">
        <?= Yii::t('user', 'You have an account?') ?>
        <?= Html::a(Yii::t('user', 'Entrance'), ['/user/login/index']) ?>
    </p>
</div>