<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \frontend\modules\user\models\form\PasswordResetRequestForm */

use yii\bootstrap\ActiveForm;
use yii\helpers\Html;
use yii\helpers\Url;

?>
<div class="popup registration-popup" id="forgot-password-popup" style="display: none">
    <div class="popup-container">
        <button class="close-popup"></button>
        <div class="form-tittle">
            <?= Yii::t('front', 'Password recovery') ?>
        </div>
        <?php
        $form = ActiveForm::begin([
            'method' => 'post',
            'action' => Url::toRoute('/user/password/request-reset'),
            'id' => 'request-password-reset',
            //'enableAjaxValidation' => true,
            'options' => [
                'class' => 'forgot-password inner-form'
            ]
        ]);
        echo $form->field($model, 'email',
                [
                    'template' => "<div class=\"input-field\">{input}\n{label}\n{hint}\n{error}</div>",
                    'labelOptions' => ['class' => 'active'],
                    'inputOptions' => ['placeholder' => $model->getAttributeLabel('email').'*']
                ]
            )->textInput([
                'class' => 'collaps-inp form-control'
            ])->label('');
        ?>
        <div class="text-center">
            <div>
                <?= Html::submitButton(Yii::t('front', 'Send'), ['class' => 'btn btn-sm btn-primary']); ?>
            </div>
        </div>
        <?php
        ActiveForm::end();
        ?>
    </div>
</div>