<?php
use yii\helpers\{
    Html, Url
};
use yii\widgets\ActiveForm;
?>
<div class="popup registration-popup" id="registrationPopup">
    <div class="popup-container">
        <button class="close-popup"></button>
        <div class="form-tittle">
            <?= Yii::t('front', 'Registration form') ?>
        </div>
        <?php $form = ActiveForm::begin([
            'id' => 'register-form',
            'action' => Url::toRoute(['/user/register/index']),
            'validationUrl' => Url::toRoute(['/user/register/validate']),
            'options' => ['class' => 'registration-form inner-form'],
            'fieldConfig' => [
                'template' => "<div class=\"input-field\">{input}\n<div class=\"help-block\">{error}</div></div>",
                'inputOptions' => ['class' => 'collaps-inp form-control']
            ]
        ]);
        echo $form->field($model, 'first_name', ['inputOptions' => [
                'placeholder' => $model->getAttributeLabel('first_name') . '*'
            ]])
            . $form->field($model, 'last_name', ['inputOptions' => [
                'placeholder' => $model->getAttributeLabel('last_name') . '*'
            ]])
            . $form->field($model, 'company', ['inputOptions' => [
                'placeholder' => $model->getAttributeLabel('company')
            ]])
            . $form->field($model, 'website', ['inputOptions' => [
                'placeholder' => $model->getAttributeLabel('website')
            ]])
            . $form->field($model, 'email', ['enableAjaxValidation' => true, 'inputOptions' => [
                'placeholder' => $model->getAttributeLabel('email') . '*'
            ]])
            . $form->field($model, 'phone', ['inputOptions' => [
                'placeholder' => $model->getAttributeLabel('phone')
            ]])
            . $form->field($model, 'password', ['inputOptions' => [
                'placeholder' => $model->getAttributeLabel('password') . '*'
            ]])->passwordInput()
            . $form->field($model, 'password_confirmation', ['inputOptions' => [
                'placeholder' => $model->getAttributeLabel('password_confirmation') . '*'
            ]])->passwordInput();
        ?>
        <div class="text-center text-info">
            <?= Yii::t('front', 'Required field to fill') ?>
        </div>
        <div class="text-center">
            <div class="label-info">
                <?= Yii::t('front', 'You are already registered') ?>
            </div>
            <div class="authorization-btn-container">
                <?= Html::a(Yii::t('front', 'Sign In'), '#',
                    ['class' => 'authorization-popup-link open-popup',
                        'data-id' => 'authorizationPopup']) ?>
            </div>
            <div>
                <?= Html::submitButton(Yii::t('front', 'Registration'),
                    ['class' => 'btn btn-sm btn-primary', 'id-form' => 'register-form']); ?>
            </div>
        </div>
        <?php ActiveForm::end(); ?>
    </div>
</div>
