<?php

/**
 * @author Alla Kuzmenko
 * @copyright (c), Thread
 */
use frontend\themes\defaults\assets\AppAssetMap;
use thread\modules\seo\widgets\breadcrumbs\Breadcrumbs;

$bundle = AppAssetMap::register($this);

$this->beginContent('@app/layouts/main.php');
echo $this->render('parts/header_base', ['bundle' => $bundle])
?>
<div class="container-fluid">
    <?php if ($this->context->breadcrumbs && ($this->context->id == 'item' && $this->context->action->id == 'view')): ?>
        <div class="container">
            <?= Breadcrumbs::widget([
                'links' => $this->context->breadcrumbs ?? []
            ]) ?>
        </div>
    <?php endif; ?>
    <main>
        <div class="inner-map-container">
            <?= $content; ?>
        </div>
        <div class="map" id="map">
        </div>
    </main>
</div>
<style>
    body{
        margin-bottom: 65px;
    }
    footer .container{
        margin-top: -40px;
    }
</style>
<?php
echo $this->render('parts/footer_base', [
    'asset' => $bundle
]);
$this->endContent();
?>
