<?php

use yii\helpers\Html;
use frontend\modules\user\User;
use frontend\modules\sys\widgets\langSwitch\LangSwitch;

/**
 * @var $params \thread\modules\sys\modules\configs\components\ConfigsParams
 * @var $languages \thread\app\model\Languages
 */
$params = Yii::$app->param;
$languages = Yii::$app->languages;
?>
<header class="main-pg-header">
    <div class="container">
        <div class="row">
            <div class="col-md-4 col-md-push-4 text-center logo">
                <?= Html::img($asset->baseUrl . '/img/logo.png', [
                    'alt' => 'UaMap',
                    'style' => 'max-width:100%;'
                ]) ?>
            </div>
            <div class="col-md-4 col-md-pull-4 text-center">
                <?= Html::a(Html::tag('div', Yii::t('front', 'about')) . Yii::t('front', 'Project'), false, [
                    'class' => 'ubout-us open-popup',
                    'data' => [
                        'id' => 'aboutprojectPopup'
                    ]
                ]) ?>
            </div>
            <div class="col-sm-4 text-right hide-on-med-and-down">
                <div class="row">
                    <div class="col-sm-12">
                        <?= Html::a('', $params->getByName('socials_facebook'), [
                            'class' => 'social-btn facebook'
                        ])
                        . Html::a('', $params->getByName('socials_twitter'), [
                            'class' => 'social-btn twitter'
                        ])
                        ?>
                        <?= LangSwitch::widget() ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 text-right">
                        <?= (Yii::$app->getUser()->isGuest)
                            ? Html::tag('button', Yii::t('front', 'Authorization'), [
                                'class' => 'open-popup authorization-btn',
                                'data' => [
                                    'id' => 'authorizationPopup'
                                ]])
                            : Html::a(Yii::t('front', 'Logout'), User::getUrlLogout(),
                                ['class' => 'authorization-btn']) ?>
                    </div>
                </div>
            </div>
            <button type="button" class="burger open-popup" data-id="mobile-menu">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <div class="mobile-menu popup" id="mobile-menu">
                <div class="popup-container">
                    <div class="flex-wrap">
                        <button class="close-popup"></button>
                        <?= LangSwitch::widget() ?>
                        <?= (Yii::$app->getUser()->isGuest)
                            ? Html::tag('div', Html::tag('button', Yii::t('front', 'Registration'), [
                                'class' => 'open-popup btn btn-big btn-default',
                                'data' => [
                                    'id' => 'registrationPopup'
                                ]]), ['class' => 'text-center'])
                            . Html::tag('div', Html::tag('button', Yii::t('front', 'Authorization'), [
                                'class' => 'open-popup  btn btn-big btn-default',
                                'data' => [
                                    'id' => 'authorizationPopup'
                                ]]), ['class' => 'text-center'])
                            : Html::tag('div', Html::a(Yii::t('front', 'Logout'), User::getUrlLogout(),
                                ['class' => 'btn btn-big btn-default']), ['class' => 'text-center'])
                        ?>
                    </div>
                    <div class="mobile-menu-footer">
                        <?= Html::a('', $params->getByName('socials_facebook'), [
                            'class' => 'social-btn facebook'
                        ])
                        . Html::a('', $params->getByName('socials_twitter'), [
                            'class' => 'social-btn twitter'
                        ])
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>