<?php

use yii\helpers\Html;
//
use frontend\modules\sys\widgets\langSwitch\LangSwitch;
use frontend\modules\menu\widgets\menu\Menu;
//
use frontend\modules\user\widgets\{
    HeaderAuthorized\HeaderAuthorized,
    HeaderNoAuthorized\HeaderNoAuthorized
};

/**
 * @var $languages \thread\app\model\Languages
 */
$languages = Yii::$app->get('languages');

$params = Yii::$app->param;
?>
<header class="logged-user-header">
    <div class="top-nav hide-on-med-and-down">
        <div class="container">
            <div class="row">
                <div class="col-sm-2">
                    <?= LangSwitch::widget() ?>
                </div>
                <div class="col-sm-6">
                    <?= Html::a($params->getByName('socials_mail'), 'mailto:' . $params->getByName('socials_mail'), [
                        'class' => 'header-mail-link'
                    ])
                    . Html::beginTag('span', ['class' => 'social-btn-container'])
                    . Html::a('', $params->getByName('socials_facebook'), [
                        'class' => 'social-btn-sm facebook'
                    ])
                    . Html::a('', $params->getByName('socials_twitter'), [
                        'class' => 'social-btn-sm twitter'
                    ])
//                    . Html::a('', $params->getByName('socials_youtube'), [
//                        'class' => 'social-btn-sm youtube'
//                    ])
                    . Html::endTag('span');
                    ?>
                </div>
                <div class="col-sm-4 text-right">
                    <div class="dropdown-map">
                        <?= (Yii::$app->getUser()->isGuest) ? HeaderNoAuthorized::widget() : HeaderAuthorized::widget() ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <nav class="navbar navbar-default">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="burger open-popup" data-id="navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <?= Html::a(Html::img($bundle->baseUrl . '/img/logo.png', [
                    'alt' => 'UaMap',
                    'class' => 'img-responsive'
                ]), ($languages->getDefault()['local'] == Yii::$app->language ? '/' : '/' . $languages->getCurrent()['alias']), [
                    'alt' => 'UaMap',
                    'class' => 'navbar-brand'
                ]) ?>
            </div>
            <div class="collapse-map navbar-collapse" id="navbar-collapse">
                <button class="close-popup close-mobile-menu hide-on-lg"></button>
                <div class="hide-on-lg row">
                    <div class="col-xs-3">
                        <?= LangSwitch::widget() ?>
                    </div>
                    <div class="col-xs-7">
                        <div class="dropdown-map">
                            <?= (Yii::$app->getUser()->isGuest) ? HeaderNoAuthorized::widget() : HeaderAuthorized::widget() ?>
                        </div>
                    </div>
                </div>
                <?= Menu::widget([
                        'view' => 'mobile'
                ]) ?>
                <?php if (!Yii::$app->getUser()->isGuest): ?>
                    <ul class="nav navbar-nav navbar-right">
                        <li>
                            <?= Html::a(Yii::t('front', 'Add project'), ['/map/item/create'], [
                                'class' => 'add-project-btn'
                            ]) ?>
                        </li>
                    </ul>
                <?php endif; ?>
                <div class="text-center hide-on-lg">
                    <?= Html::a($params->getByName('socials_mail'), 'mailto:' . $params->getByName('socials_mail'), [
                        'class' => 'header-mail-link'
                    ])
                    . Html::beginTag('div', ['class' => 'social-btn-container'])
                    . Html::a('', $params->getByName('socials_facebook'), [
                        'class' => 'social-btn-sm facebook'
                    ])
                    . Html::a('', $params->getByName('socials_twitter'), [
                        'class' => 'social-btn-sm twitter'
                    ])
                    /*. Html::a('', $params->getByName('socials_youtube'), [
                        'class' => 'social-btn-sm youtube'
                    ])*/
                    . Html::endTag('div');
                    ?>
                </div>
            </div>
        </div>
    </nav>
</header>
