<?php
use yii\helpers\Html;
use frontend\modules\news\widgets\LatestNews\LatestNews;

/**
 * @var $params \thread\modules\sys\modules\configs\components\ConfigsParams
 */
$params = Yii::$app->param;
?>
<footer id="footer" class="clearfix ">

    <div class="footer">
        <div class="container">
            <div class="footer-inner">
                <div class="row">
                    <div class="col-md-3">
                        <div class="footer-content">
                            <div class="logo-footer">
                                <?= Html::a('LOGO', ['/'], [
                                    'class' => 'logo-font',
                                    'style' => 'font-size: 34px; text-decoration: none;',
                                    'title' => $params->getByName('shop_name')
                                ]) ?>
                            </div>
                            <p><?= $params->getByName('about_us_footer') ?>
                                <?= Html::a(Yii::t('front', 'more') . ' <i class="fa fa-long-arrow-right pl-5"></i>', ['/page/page/view', 'alias' => 'about']) ?>
                            </p>
                            <div class="separator-2"></div>
                            <?= \frontend\modules\menu\widgets\menu\Menu::widget([
                                'view' => 'footer',
                                'alias' => 'footer',
                            ]) ?>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="footer-content">
                            <?= LatestNews::widget([
                                'limit' => 3
                            ]) ?>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="footer-content">
                            <?= Html::tag('div', Yii::t('front', 'Contact with Us'), [
                                'class' => 'title h3'
                            ]) ?>
                            <div class="separator-2"></div>
                            <ul class="list-icons">
                                <li>
                                    <i class="fa fa-map-marker pr-10 text-default"></i>
                                    <?= $params->getByName('shop_address') ?>
                                </li>
                                <li>
                                    <i class="fa fa-phone pr-10 text-default"></i>
                                    <?= $params->getByName('shop_telephone') ?>
                                </li>
                                <li><a href="mailto:<?= $params->getByName('shop_email') ?>">
                                        <i class="fa fa-envelope-o pr-10"></i>
                                        <?= $params->getByName('shop_email') ?>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <?= $this->render('social-links') ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="subfooter">
        <div class="container">
            <div class="subfooter-inner">
                <div class="row">
                    <div class="col-md-12">
                        <p class="text-center">©Copyright. All Rights Reserved</p>
                    </div>
                </div>
            </div>
        </div>
    </div>

</footer>