<?php
use yii\helpers\Html;
use frontend\modules\user\widgets\{
    HeaderNoAuthorized\HeaderNoAuthorized,
    HeaderAuthorized\HeaderAuthorized
};
use frontend\modules\user\widgets\{
    Login, Register, RequestPasswordReset, ChangePassword
};

/**
 * @var $params \thread\modules\sys\modules\configs\components\ConfigsParams
 */
$params = Yii::$app->param;

if (Yii::$app->getUser()->isGuest):
    echo Login::widget(['view' => 'authorization-popup'])
        . Register::widget(['view' => 'registration-popup'])
        . RequestPasswordReset::widget(['view' => 'forgot-password-popup']);
else:
    echo ChangePassword::widget();
endif;
?>
<div class="header-container">
    <div class="header-top colored">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-6 col-md-9">
                    <div class="header-top-first clearfix">
                        <?= $this->render('social-links') ?>
                        <ul class="list-inline hidden-sm hidden-xs">
                            <li>
                                <i class="fa fa-map-marker pr-5 pl-10"></i>
                                <?= $params->getByName('shop_address') ?>
                            </li>
                            <li>
                                <i class="fa fa-phone pr-5 pl-10"></i>
                                <?= $params->getByName('shop_telephone') ?>
                            </li>
                            <li>
                                <i class="fa fa-envelope-o pr-5 pl-10"></i>
                                <?= $params->getByName('shop_email') ?>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-6 col-md-3">
                    <div id="header-top-second" class="clearfix">
                        <div class="text-right">
                            <?= (Yii::$app->getUser()->isGuest) ? HeaderNoAuthorized::widget() : HeaderAuthorized::widget() ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <header class="header  fixed    clearfix transparent-header-on">

        <div class="container">
            <div class="row">
                <div class="col-md-2">
                    <!-- header-first start -->
                    <!-- ================ -->
                    <div class="header-first clearfix">

                        <!-- header dropdown buttons -->
                        <div class="header-dropdown-buttons visible-xs">
                            <div class="btn-group dropdown">
                                <?= $this->render('searchBox', [
                                    'asset' => $asset
                                ]) ?>
                            </div>
                        </div>
                        <!-- header dropdown buttons end-->

                        <!-- logo -->
                        <div id="logo" class="logo">
                            <?= Html::a('LOGO', ['/'], [
                                'class' => 'logo-font',
                                'style' => 'font-size: 34px; text-decoration: none;',
                                'title' => $params->getByName('shop_name')
                            ]) ?>
                        </div>

                    </div>
                    <!-- header-first end -->

                </div>
                <div class="col-md-10">

                    <!-- header-second start -->
                    <!-- ================ -->
                    <div class="header-second clearfix">

                        <!-- main-navigation start -->
                        <!-- classes: -->
                        <!-- "onclick": Makes the dropdowns open on click, this the default bootstrap behavior e.g. class="main-navigation onclick" -->
                        <!-- "animated": Enables animations on dropdowns opening e.g. class="main-navigation animated" -->
                        <!-- "with-dropdown-buttons": Mandatory class that adds extra space, to the main navigation, for the search and cart dropdowns -->
                        <!-- ================ -->
                        <div class="main-navigation  animated with-dropdown-buttons">

                            <!-- navbar start -->
                            <!-- ================ -->
                            <nav class="navbar navbar-default" role="navigation">
                                <div class="container-fluid">

                                    <!-- Toggle get grouped for better mobile display -->
                                    <div class="navbar-header">
                                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                                                data-target="#navbar-collapse-1" aria-expanded="false">
                                            <span class="sr-only">Toggle navigation</span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                        </button>

                                    </div>
                                    <div class="navbar-collapse collapse" id="navbar-collapse-1" aria-expanded="false"
                                         style="height: 1px;">
                                        <?= \frontend\modules\menu\widgets\menu\Menu::widget() ?>

                                        <div class="header-dropdown-buttons hidden-xs ">
                                            <div class="btn-group dropdown">
                                                <?= $this->render('searchBox', [
                                                    'asset' => $asset
                                                ]) ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </header>
</div>