<?php

namespace thread\app\helpers\tree;

/**
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class TreeHelper
{
    /**
     * @param $tree_id
     * @param $modelClass
     * @return mixed
     */
    public static function getTree($tree_id, $modelClass)
    {
        $modelClass::initTree($tree_id);
        if (!$modelClass::setTreeCurrent($tree_id)) {
            return [];
        }
        return $modelClass::createTree();
    }

    /**
     * @param $tree_id
     * @param $modelClass
     * @param string $attribute
     * @return array
     */
    public static function dropDownTreeList($tree_id, $modelClass, $attribute = 'title')
    {
        $tree = self::getTree($tree_id, $modelClass);
        $t = [];
        $t[0] = '-';
        foreach ($tree as $branch) {
            $t[$branch['id']] = str_repeat('-', $branch['level'] * 2) . $branch['lang'][$attribute]??$branch[$attribute];
        }
        return $t;
    }

    /**
     * @param array $tree
     * @param $modelClass
     * @return \yii\data\ArrayDataProvider
     */
    public static function getArrayDataProvider(array $tree, $modelClass)
    {
        return $dataProvider = new \yii\data\ArrayDataProvider([
            'allModels' => $tree,
            'modelClass' => $modelClass,
        ]);
    }
}