<?php

use yii\db\Migration;
use thread\modules\faq\Faq as ParentModule;

/**
 * Class m170506_111529_create_table_faq_article_lang
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m170506_111529_create_table_faq_article_lang extends Migration
{
    /**
     * @var string
     */
    public $table = '{{%faq_article}}';

    /**
     * @var string
     */
    public $tableLang = '{{%faq_article_lang}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->createTable($this->tableLang, [
            'rid' => $this->integer()->unsigned()->notNull()->comment('Related model ID'),
            'lang' => $this->string(5)->notNull()->comment('Language'),
            'title' => $this->string(255)->notNull()->comment('Title'),
            'content' => $this->text()->Null()->comment('content')
        ]);

        $this->createIndex('rid', $this->tableLang, ['rid', 'lang'], true);
        $this->createIndex('rid_2', $this->tableLang, 'rid');

        $this->addForeignKey(
            'fk-faq_article_lang-rid-faq_article-id',
            $this->tableLang,
            'rid',
            $this->table,
            'id',
            'CASCADE',
            'CASCADE'
        );
    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropForeignKey('fk-faq_article_lang-rid-faq_article-id', $this->tableLang);
        $this->dropIndex('rid', $this->tableLang);
        $this->dropIndex('rid_2', $this->tableLang);
        $this->dropTable($this->tableLang);
    }
}
