<?php

use yii\db\Migration;
use thread\modules\menu\Menu as ParentModule;

/**
 * Class m160127_031136_create_fv_menu_lang_table
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m160127_031136_create_fv_menu_lang_table extends Migration
{

    /**
     * @var string
     */
    public $tableMenu = '{{%menu}}';

    /**
     * @var string
     */
    public $tableMenuLang = '{{%menu_lang}}';

    /**
     * @inheritdoc
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->createTable($this->tableMenuLang, [
            'rid' => $this->integer()->unsigned()->notNull()->comment('Related model ID'),
            'lang' => $this->string(5)->notNull()->comment('Language'),
            'title' => $this->string(255)->notNull()->comment('Title'),
        ]);

        $this->createIndex('rid', $this->tableMenuLang, ['rid', 'lang'], true);
        $this->createIndex('rid_2', $this->tableMenuLang, 'rid');

        $this->addForeignKey(
            'fv_menu_lang_ibfk_1',
            $this->tableMenuLang,
            'rid',
            $this->tableMenu,
            'id',
            'CASCADE',
            'CASCADE'
        );
    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropForeignKey('fv_menu_lang_ibfk_1', $this->tableMenuLang);
        $this->dropIndex('rid', $this->tableMenuLang);
        $this->dropIndex('rid_2', $this->tableMenuLang);
        $this->dropTable($this->tableMenuLang);
    }
}
