<?php

use yii\db\Migration;
use thread\modules\menu\Menu as ParentModule;

/**
 * Class m160127_031223_create_fv_menu_item_lang_table
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m160127_031223_create_fv_menu_item_lang_table extends Migration
{

    /**
     * @var string
     */
    public $tableMenuItem = '{{%menu_item}}';

    /**
     * @var string
     */
    public $tableMenuItemLang = '{{%menu_item_lang}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->createTable($this->tableMenuItemLang, [
            'rid' => $this->integer()->unsigned()->notNull()->comment('Related model ID'),
            'lang' => $this->string(5)->notNull()->comment('Language'),
            'title' => $this->string(255)->notNull()->comment('Title'),
            'link' => $this->string(255)->notNull()->defaultValue('')->comment('Link'),
        ]);

        $this->createIndex('rid', $this->tableMenuItemLang, ['rid', 'lang'], true);
        $this->createIndex('rid_2', $this->tableMenuItemLang, 'rid');

        $this->addForeignKey(
            'fv_menu_item_lang_ibfk_1',
            $this->tableMenuItemLang,
            'rid',
            $this->tableMenuItem,
            'id',
            'CASCADE',
            'CASCADE'
        );
    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropForeignKey('fv_menu_item_lang_ibfk_1', $this->tableMenuItemLang);
        $this->dropIndex('rid', $this->tableMenuItemLang);
        $this->dropIndex('rid_2', $this->tableMenuItemLang);
        $this->dropTable($this->tableMenuItemLang);
    }
}
