<?php

use yii\db\Migration;
use thread\modules\news\News as ParentModule;

/**
 * Class m160127_030525_create_fv_news_group_lang_table
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m160127_030525_create_fv_news_group_lang_table extends Migration
{
    /**
     * @var string
     */
    public $tableNewsGroup = '{{%news_group}}';

    /**
     * @var string
     */
    public $tableNewsGroupLang = '{{%news_group_lang}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->createTable($this->tableNewsGroupLang, [
            'rid' => $this->integer()->unsigned()->notNull()->comment('Related model ID'),
            'lang' => $this->string(5)->notNull()->comment('Language'),
            'title' => $this->string(255)->notNull()->comment('Title'),
        ]);

        $this->createIndex('rid', $this->tableNewsGroupLang, ['rid', 'lang'], true);
        $this->createIndex('rid_2', $this->tableNewsGroupLang, 'rid');

        $this->addForeignKey(
            'fv_news_group_lang_ibfk_1',
            $this->tableNewsGroupLang,
            'rid',
            $this->tableNewsGroup,
            'id',
            'CASCADE',
            'CASCADE'
        );
    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropForeignKey('fv_news_group_lang_ibfk_1', $this->tableNewsGroupLang);
        $this->dropIndex('rid', $this->tableNewsGroupLang);
        $this->dropIndex('rid_2', $this->tableNewsGroupLang);
        $this->dropTable($this->tableNewsGroupLang);
    }
}
