<?php

use yii\db\Migration;
use thread\modules\page\Page as ParentModule;

class m171201_195936_insert_page_result extends Migration
{
    /**
     * Page table name
     * @var string
     */
    public $tablePage = '{{%page}}';

    /**
     * Language Page table name
     * @var string
     */
    public $tablePageLang = '{{%page_lang}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    public function safeUp()
    {
        $this->addColumn($this->tablePage, 'readonly', "enum('0','1') NOT NULL DEFAULT '0' COMMENT 'readonly'");
        /** Insert page */
        $this->batchInsert(
            $this->tablePage,
            [
                'id',
                'alias',
                'default_title',
                'image_link',
                'created_at',
                'updated_at',
                'published',
                'deleted',
                'readonly'
            ],
            [
                [
                    'id' => 11,
                    'alias' => 'result',
                    'default_title' => 'result',
                    'image_link' => null,
                    'created_at' => time(),
                    'updated_at' => time(),
                    'published' => '1',
                    'deleted' => '0',
                    'readonly'=> '1',
                ]
            ]
        );

        /** Insert page_lang */
        $this->batchInsert(
            $this->tablePageLang,
            [
                'rid',
                'lang',
                'title',
                'content'
            ],
            [
                [
                    'rid' => 11,
                    'lang' => 'en-EN',
                    'title' => 'result',
                    'content' => 'result'
                ],
                [
                    'rid' => 11,
                    'lang' => 'uk-UA',
                    'title' => 'Результат',
                    'content' => 'Результат'
                ]
            ]
        );

    }

    public function safeDown()
    {
        $this->dropColumn($this->tablePage, 'readonly');
    }
}
