<?php

namespace thread\modules\seo\modules\info\components;

use yii\base\Component;
use yii\helpers\ArrayHelper;
//
use thread\modules\seo\modules\info\models\Info;

/**
 * Class MetaBaseInfo
 *
 * @package thread\modules\seo\modules\info\components
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class MetaBaseInfo extends Component
{

    protected $base_url;
    protected $site_logo;
    protected $site_name;
    protected $site_alternatename;
    protected $site_search_action;
    protected $site_telephone;
    protected $params = [];

    /**
     *
     */
    public function init()
    {
        $params = ArrayHelper::map(Info::find()->innerJoinWith(['lang'])->all(), 'alias', 'lang.value');
        $this->base_url = $params['base-url']??'';
        $this->site_logo = $params['web-site-logo']??'';
        $this->site_name = $params['web-site-name']??'';
        $this->site_alternatename = $params['web-site-alternatename']??'';
        $this->site_search_action = $params['web-site-telephone']??'';
        $this->site_telephone = $params['web-site-telephone']??'';
        $this->params = $params;

        parent::init();
    }

    /**
     * @return array
     */
    public function getParams()
    {
        return $this->params;
    }

    /**
     * @return mixed
     */
    public function getBaseUrl()
    {
        return $this->base_url;
    }

    /**
     * @return mixed
     */
    public function getSiteLogo()
    {
        return $this->site_logo;
    }

    /**
     * @return mixed
     */
    public function getSiteName()
    {
        return $this->site_name;
    }

    /**
     * @return mixed
     */
    public function getSiteAlternatename()
    {
        return $this->site_alternatename;
    }

    /**
     * @return mixed
     */
    public function getSearchAction()
    {
        return $this->site_search_action;
    }

    /**
     * @return mixed
     */
    public function getSiteTelephone()
    {
        return $this->site_telephone;
    }
}