<?php

namespace thread\modules\sys\modules\configs\components;

use yii\base\Component;
//
use thread\modules\sys\modules\configs\models\Params;

/**
 * Class ConfigsParams
 * @package thread\modules\configs\components
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class ConfigsParams extends Component
{
    /**
     * @var array
     */
    protected $cach = [];

    /**
     *
     */
    public function init()
    {
        parent::init();
        $p = Params::find()->with(['lang'])->indexBy('alias')->undeleted()->all();
        if ($p !== null) {
            $this->cach = $p;
        }
    }

    /**
     * @param $alias
     * @return string
     */
    public function getByName($alias)
    {
        $value = $this->cache($alias);
        return ($value !== null) ? ($value['is_lang_value'] == Params::STATUS_KEY_OFF ? $value['value'] : $value['lang']['value']) : 'set param by alias: ' . $alias;
    }

    /**
     * @param $alias
     * @return mixed|null
     */
    protected function cache($alias)
    {
        $value = $this->cach[$alias]??null;
        if ($value === null) {
            $value = Params::find()->byAlias($alias)->undeleted()->one();
        }
        return $value;
    }

}