<?php

use yii\db\Migration;
use thread\modules\sys\modules\configs\Configs as ParentModule;

/**
 * Class m160808_100956_create_fv_configs_params
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m160808_100956_create_fv_configs_params extends Migration
{
    /**
     * @var string
     */
    public $table = '{{%system_configs_params}}';
    /**
     * @var string
     */
    public $tableGroup = '{{%system_configs_params}}';

    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->createTable($this->table, [
            'id' => $this->primaryKey()->unsigned()->comment('ID'),
            'group_id' => $this->integer()->unsigned()->notNull()->defaultValue(0)->comment('Group'),
            'alias' => $this->string(255)->notNull()->unique()->comment('Alias'),
            'value' => $this->string(1024)->notNull()->defaultValue('')->comment('Value'),
            'created_at' => $this->integer()->unsigned()->notNull()->defaultValue(0)->comment('Create time'),
            'updated_at' => $this->integer()->unsigned()->notNull()->defaultValue(0)->comment('Update time'),
            'is_lang_value' => "enum('0','1') NOT NULL DEFAULT '0' COMMENT 'is_lang_value'",
            'deleted' => "enum('0','1') NOT NULL DEFAULT '0' COMMENT 'Deleted'",
            'published' => "enum('0','1') NOT NULL DEFAULT '0' COMMENT 'Published'",
        ]);

        $this->createIndex('published', $this->table, 'published');
        $this->createIndex('deleted', $this->table, 'deleted');
        //
        $this->createIndex('group_id', $this->table, 'group_id');
    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropIndex('deleted', $this->table);
        $this->dropIndex('published', $this->table);
        $this->dropIndex('group_id', $this->table);

        $this->dropTable($this->table);
    }
}
