<?php

namespace thread\modules\sys\modules\logbook\components;

use Yii;
use yii\base\Component;
//
use thread\modules\sys\modules\logbook\models\Logbook as LogbookModel;
use thread\modules\sys\modules\logbook\queuejob\sendToBase;

/**
 * Class Logbook
 *
 * @package thread\modules\sys\modules\logbook\components
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class Logbook extends Component
{
    /**
     * @param $message
     * @param $link
     * @param string $type
     * @param string $category
     * @return bool
     */
    public function send($message, $link, $type = LogbookModel::TYPE_NOTICE, $category = 'app')
    {
        $model = new LogbookModel([
            'scenario' => 'send',
            'message' => $message,
            'url' => $link,
            'type' => $type,
            'user_id' => Yii::$app->getUser()->id,
            'category' => $category,
        ]);
        if ($model->save(false)) {
            $model['created_at'] = time();
            $model->save();
        }
    }

    /**
     * @param $message
     * @param $link
     * @param string $type
     * @param string $category
     * @return mixed
     */
    public function sendThroughQueue($message, $link, $type = LogbookModel::TYPE_NOTICE, $category = 'app')
    {
        $queue = Yii::$app->get('queue');
        return $queue->push(new sendToBase([
            'message' => $message,
            'url' => $link,
            'type' => $type,
            'user_id' => Yii::$app->getUser()->id??0,
            'category' => $category,
            'time' => time()
        ]));
    }
}