<?php

use yii\db\Migration;
use thread\modules\sys\modules\messages\Messages as ParentModule;

/**
 * Class m161123_031136_create_fv_system_messages_lang_table
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m161123_041136_create_fv_system_messages_lang_table extends Migration
{

    /**
     * @var string
     */
    public $table = '{{%system_messages}}';

    /**
     * @var string
     */
    public $tableLang = '{{%system_messages_lang}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->createTable($this->tableLang, [
            'rid' => $this->integer()->unsigned()->notNull()->comment('Related model ID'),
            'lang' => $this->string(5)->notNull()->comment('Language'),
            'title' => $this->text()->notNull()->comment('Title'),
        ]);

        $this->createIndex('rid', $this->tableLang, ['rid', 'lang'], true);
        $this->createIndex('rid_2', $this->tableLang, 'rid');

        $this->addForeignKey(
            'fv_system_messages_lang_ibfk_1',
            $this->tableLang,
            'rid',
            $this->table,
            'id',
            'CASCADE',
            'CASCADE'
        );
    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropForeignKey('fv_system_messages_lang_ibfk_1', $this->tableLang);
        $this->dropIndex('rid', $this->tableLang);
        $this->dropIndex('rid_2', $this->tableLang);
        $this->dropTable($this->tableLang);
    }
}
