<?php

use yii\db\Migration;
use thread\modules\user\User as ParentModule;

/**
 * Class m160127_002330_create_fv_user_group_lang
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m160127_002330_create_fv_user_group_lang extends Migration
{
    /**
     * @var string
     */
    public $tableUserGroup = '{{%user_group}}';

    /**
     * @var string
     */
    public $tableLang = '{{%user_group_lang}}';

    /**
     * Core DB connection
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        /** Create table */
        $this->createTable($this->tableLang, [
            'rid' => $this->integer(11)->unsigned()->notNull()->comment('rid'),
            'lang' => $this->string(5)->notNull()->comment('Language'),
            'title' => $this->string(255)->notNull()->comment('Title')
        ]);

        /** Add index */
        $this->createIndex('rid', $this->tableLang, ['rid', 'lang'], true);
        $this->createIndex('rid_2', $this->tableLang, 'rid');

        /** Create FK */
        $this->addForeignKey(
            'fv_user_group_lang_ibfk_1',
            $this->tableLang,
            'rid',
            $this->tableUserGroup,
            'id',
            'CASCADE',
            'CASCADE'
        );
    }

    /**
     * cancel migration
     */
    public function safeDown()
    {
        $this->dropForeignKey('fv_user_group_lang_ibfk_1', $this->tableLang);
        $this->dropIndex('rid', $this->tableLang);
        $this->dropIndex('rid_2', $this->tableLang);

        $this->dropTable($this->tableLang);
    }
}
