<?php

use yii\db\Migration;
use thread\modules\user\User as ParentModule;

/**
 * Class m160127_015638_create_fv_auth_rule_table
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m160127_015638_create_fv_auth_rule_table extends Migration
{
    /**
     * @var string
     */
    public $tableAuthRule = '{{%auth_rule}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        /** Create table */
        $this->createTable($this->tableAuthRule, [
            'name' => $this->string(64)->notNull(),
            'data' => $this->text(),
            'created_at' => $this->integer(11)->defaultValue(null),
            'updated_at' => $this->integer(11)->defaultValue(null)
        ]);

        /** Add PK */
        $this->addPrimaryKey('pk', $this->tableAuthRule, 'name');
    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropPrimaryKey('pk', $this->tableAuthRule);
        $this->dropTable($this->tableAuthRule);
    }
}
