<?php

use yii\db\Migration;
use thread\modules\user\User as ParentModule;

/**
 * Class m160127_022122_create_fv_auth_assignment_table
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m160127_022122_create_fv_auth_assignment_table extends Migration
{
    /**
     * @var string
     */
    public $tableAuthAssignment = '{{%auth_assignment}}';

    /**
     * @var string
     */
    public $tableAuthItem = '{{%auth_item}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        $this->createTable($this->tableAuthAssignment, [
            'item_name' => $this->string(64)->notNull(),
            'user_id' => $this->string(64)->notNull(),
            'created_at' => $this->integer(11)->defaultValue(null),
        ]);

        $this->addPrimaryKey('pk', $this->tableAuthAssignment, ['item_name', 'user_id']);

        $this->addForeignKey(
            'fv_auth_assignment_ibfk_1',
            $this->tableAuthAssignment,
            'item_name',
            $this->tableAuthItem,
            'name',
            'CASCADE',
            'CASCADE'
        );
    }

    /**
     * Cancel migration
     */
    public function safeDown()
    {
        $this->dropForeignKey('fv_auth_assignment_ibfk_1', $this->tableAuthAssignment);
        $this->dropPrimaryKey('pk', $this->tableAuthAssignment);
        $this->dropTable($this->tableAuthAssignment);
    }
}
