<?php

use yii\db\Migration;
use thread\modules\user\User as ParentModule;

/**
 * Class m160607_122454_insert_user_group
 *
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class m160607_122454_insert_user_group extends Migration
{
    /**
     * @var string
     */
    public $tableUserGroup = '{{%user_group}}';

    /**
     * @var string
     */
    public $tableUserGroupLang = '{{%user_group_lang}}';

    /**
     * @var string
     */
    public $tableUser = '{{%user}}';

    /**
     *
     */
    public function init()
    {
        $this->db = ParentModule::getDb();
        parent::init();
    }

    /**
     * Implement migration
     */
    public function safeUp()
    {
        /** Insert into User Group table */
        $this->batchInsert(
            $this->tableUserGroup,
            [
                'id',
                'alias',
                'role',
                'published',
                'deleted',
                'created_at',
                'updated_at',
            ],
            [
                [
                    'id' => 1,
                    'alias' => 'admin',
                    'role' => 'admin',
                    'published' => '1',
                    'deleted' => '0',
                    'created_at' => time(),
                    'updated_at' => time()
                ],
                [
                    'id' => 2,
                    'alias' => 'dev',
                    'role' => 'developer',
                    'published' => '1',
                    'deleted' => '0',
                    'created_at' => time(),
                    'updated_at' => time()
                ],
                [
                    'id' => 3,
                    'alias' => 'user',
                    'role' => 'user',
                    'published' => '1',
                    'deleted' => '0',
                    'created_at' => time(),
                    'updated_at' => time()
                ],
            ]
        );

        /** Insert into Language User Group table */
        $this->batchInsert(
            $this->tableUserGroupLang,
            [
                'rid',
                'lang',
                'title'
            ],
            [
                [
                    'rid' => 1,
                    'lang' => 'uk-UA',
                    'title' => 'Адміністратор'
                ],
                [
                    'rid' => 1,
                    'lang' => 'en-EN',
                    'title' => 'Administrator'
                ],
                [
                    'rid' => 1,
                    'lang' => 'ru-RU',
                    'title' => 'Администратор'
                ],
                [
                    'rid' => 2,
                    'lang' => 'uk-UA',
                    'title' => 'Dev'
                ],
                [
                    'rid' => 2,
                    'lang' => 'en-EN',
                    'title' => 'Dev'
                ],
                [
                    'rid' => 2,
                    'lang' => 'ru-RU',
                    'title' => 'Dev'
                ],
                [
                    'rid' => 3,
                    'lang' => 'uk-UA',
                    'title' => 'Користувач'
                ],
                [
                    'rid' => 3,
                    'lang' => 'en-EN',
                    'title' => 'User'
                ],
                [
                    'rid' => 3,
                    'lang' => 'ru-RU',
                    'title' => 'Польователь'
                ],
            ]
        );

    }

    public function safeDown()
    {
        //TODO: m160607_122454_insert_user_group
    }
}
