<?php

namespace thread\modules\user\models\form;

use yii\helpers\ArrayHelper;
use thread\app\base\models\ActiveRecord;

/**
 * Class CreateForm
 *
 * @package thread\modules\user\models
 * @author FilamentV <vortex.filament@gmail.com>
 * @copyright (c), Thread
 */
class CreateForm extends CommonForm
{
    public $published = 0;
    public $isNewRecord = true;

    /**
     * @return array
     */
    public function rules()
    {
        return ArrayHelper::merge(parent::rules(), [
            [['username'], 'string'],
            [['published'], 'in', 'range' => array_keys(ActiveRecord::statusKeyRange())],
            [['group_id'], 'integer'],
        ]);
    }

    /**
     * @return array
     */
    public function scenarios()
    {
        return ArrayHelper::merge(parent::scenarios(), [
            'userCreate' => ['username', 'email', 'published', 'group_id'],
        ]);
    }
}
